##########################################
## MIRROR - GAME SCRIPT
##########################################
## Mirror 1.0 Walkthrough
## 
## After the war, Snape is about to be sacked, then Harry steps in. 
## Snape has a tough conversation with an unusual student.
## 
## Main choices:
## 1. Harry vs Harriet!Harry in the introduction dictate main character graphics with short or long hair 
##    for the majority of the playthrough (both cis or trans). 
## 2. Harry seeing the reflection of the opposite sex they're presenting as in the Mirror of Erised 
##    will trigger trans Harry storylines.
## 3. Harry choosing to see Ginny in the evening will assume Harry is interested in Ginny.
## 4. Harry's interest in Snape is decided by Snape's approval points, awarded throughout dialogue.
## 
## There are six basic storylines, endings.
## 
## 1. FTM Harry. ("Free to fly" storyline.)
## 2. MTF Harry. ("Two Steps Up" storyline.)
## 3. Cis Harry in love with Ginny. ("Fellow Soldiers" storyline.)
## 4. Cis Harriet in love with Ginny. ("When Ginny Met Harriet" storyline.)
## 5. Cis Harry in love with Snape. ("Thinking of Severus" storyline.)
## 6. Cis Harriet in love with Snape ("Turn to page 486" storyline.)
## 
## Snape and McGonagall both accumulate approval points throughout Harry's dialogue choices.
##  - McGonagall's approval dictates whether Snape is let go or stays on as a teacher. 
##  - Snape's approval dictates whether he stays in touch with Harry after the school year.
## 
## 
##########################################
## game variables and configuration below
## all images are uploaded here https://drive.google.com/drive/u/0/folders/1DWvVymhIPqekTBorwBcwoeEzaJQLK0PW
## game installation files are here https://drive.google.com/drive/u/0/folders/1xGPvBxtSSwM-NV2XbqDwm4WsJWfSydda
##########################################
## the following gibberish defines harry and everything to do with the annoying brat
##########################################
default harry_name = "Harry"
define h = DynamicCharacter("harry_name", color="ffe4b5")
define harry_appearance = "masculine" # long hair, short hair graphics
define harry_wants_transition = False ## player will have to pick this route
define harry_preferred_pronoun_they = "she" ## setting defaults for the time when they are needed
define harry_preferred_pronoun_their = "her"
define harry_preferred_title = "Miss"
define harry_favorite = "" # treacle tart, flying, Ginny
define harry_regret = "" # Hedwig, Snape, himself

##########################################
## the following gibberish defines Snape and everything to do with the greasy git
##########################################
default snape_name = "Snape"
define s = DynamicCharacter("snape_name", color="8fbc8f")
define snape_approval = 0 # affects extra scenes, ending

##########################################
## The ever suffering Hermione
##########################################
define hr = Character("Hermione", color="bc8f8f")

##########################################
## Poor, poor Ronald Weasley
##########################################
define r = Character("Ron", color="ffa500")

define gin = Character("Ginny", color="ffa500")

##########################################
## Headmistress McGonagall, and all she has control over at Hogwarts
##########################################
define m = Character("Headmistress McGonagall", color="c0c0c0")
define mcgonagall_approval = 0 # affects how much sway Harry has to persuade McG to keep Snape's job

##########################################
# music, all open source, mostly from 
# https://opengameart.org/content/epic-fantasy-music, https://opengameart.org/content/cc0-music-0 
##########################################
define audio.magic = "music/no_more_magic.mp3"
define audio.dreams = "music/the_field_of_dreams.mp3"
define audio.darkshrine = "music/dark_shrine.ogg"
define audio.forbidden = "music/forbidden.ogg"
define audio.forest = "music/forest.mp3"
define audio.shrine = "music/shrine.ogg"
define audio.worried = "music/worried.ogg"
define audio.swords = "music/prepare_your_swords.ogg"
define audio.creepy = "music/creepy.ogg"
define audio.musicbox = "music/music_box.mp3"
define audio.conflicted = "music/conflicted.mp3"
define audio.bells = "music/bells.ogg"
define audio.sinister = "music/sinister.ogg"
define audio.peaceful = "music/peaceful.ogg"
define audio.spaces = "music/open_spaces.mp3"
define audio.run = "music/slow_run.mp3"
define audio.fire = "music/fire_crackling.ogg"
define audio.hall = "music/hall_crowd.ogg"
define audio.haunting = "music/haunting.mp3"

##########################################
#graphics: Harold, Harriet, still Harry underneath  
# https://drive.google.com/drive/u/0/folders/1DWvVymhIPqekTBorwBcwoeEzaJQLK0PW
##########################################
image harry mystery = "images/harry_mystery.png"
image harry dork = ConditionSwitch("img == 'Harry'", "images/harry_dork.png", "img == 'Harriet'", "images/harriet_dork.png")
image harry eyeroll = ConditionSwitch("img == 'Harry'", "images/harry_eyeroll.png", "img == 'Harriet'", "images/harriet_eyeroll.png")
image harry happy = ConditionSwitch("img == 'Harry'", "images/harry_happy.png", "img == 'Harriet'", "images/harriet_happy.png")
image harry laughing = ConditionSwitch("img == 'Harry'", "images/harry_laughing.png", "img == 'Harriet'", "images/harriet_laughing.png")
image harry neutral = ConditionSwitch("img == 'Harry'", "images/harry_neutral.png", "img == 'Harriet'", "images/harriet_neutral.png")
image harry oh = ConditionSwitch("img == 'Harry'", "images/harry_oh.png", "img == 'Harriet'", "images/harriet_oh.png")
image harry shocked = ConditionSwitch("img == 'Harry'", "images/harry_shocked.png", "img == 'Harriet'", "images/harriet_shocked.png")
image harry pout = ConditionSwitch("img == 'Harry'", "images/harry_pout.png", "img == 'Harriet'", "images/harriet_pout.png")
image harry umm = ConditionSwitch("img == 'Harry'", "images/harry_umm.png", "img == 'Harriet'", "images/harriet_umm.png")
image harry shy = ConditionSwitch("img == 'Harry'", "images/harry_shy.png", "img == 'Harriet'", "images/harriet_shy.png")
image harry outraged = ConditionSwitch("img == 'Harry'", "images/harry_outraged.png", "img == 'Harriet'", "images/harriet_outraged.png")

##########################################
#graphics: Once a Snape, always a Snape  https://drive.google.com/drive/u/0/folders/1DWvVymhIPqekTBorwBcwoeEzaJQLK0PW
##########################################
image snape neutral = "images/snape_neutral.png"
image snape concerned = "images/snape_concerned.png"
image snape happy = "images/snape_happy.png"
image snape listening = "images/snape_listening.png"
image snape hair = "images/snape_shy.png"
image snape smirk = "images/snape_smirk.png"
image snape sinister = "images/snape_sinister.png"
image snape eyebrow = "images/snape_eyebrow.png"

##########################################
# People who aren't Snape or Harry  https://drive.google.com/drive/u/0/folders/1DWvVymhIPqekTBorwBcwoeEzaJQLK0PW
##########################################
image hermione neutral = "images/hermione_neutral.png"
image hermione wow = "images/hermione_wow.png"
image ron neutral = "images/ron_neutral.png"
image ron wow = "images/ron_wow.png"
image mcgonagall neutral = "images/mcgonagall_neutral.png"

##########################################
## Achievements
##########################################

define teacher_disapproval = 0 # if reaches 3, get achievement


##########################################
## End of configuration
##########################################

##########################################
## The game starts here.
##########################################


##########################################
label start:

    scene bg_fireplace with Fade(3, 0.0, 3, color="#000")
    play music dreams fadein 3 fadeout 3
    play sound fire

    show harry mystery at left

    "Hello."

    "You may have heard of me."

    "The hair, the eyes, the glasses."

    hide harry mystery

    menu:

        "This is what all my friends call me."

        "Harry. I hate it when they use Harriet.":

            $ img = "Harriet"

            jump harriet

        "Harry.":

            $ img = "Harry" 

            jump harry

##########################################
label harry:

    scene bg_fireplace

    show harry neutral at left

    h "Yeah, just Harry. Never used any other name."

    h "Unless 'Roonil Wazlib' counts? I don't think it does."

    h "Hey, could be worse. Much worse."

    h "Could've been named Dudley. Or something ten times more awful..."

    show harry oh 
    
    h "Like Vernon!"

    h "That's how life goes sometimes, doesn't it?"

    h "You start your life, happy as can be, not knowing any better, and wham: you're Vernon."

    h "Terrible luck, that."

    jump mirror

##########################################
label harriet:

    $ harry_appearance = "feminine"
    $ harry_preferred_pronoun_they = "he"
    $ harry_preferred_their = "his"
    $ harry_preferred_title = "Mister"

    scene bg_fireplace

    show harry neutral at left

    h "I hate that name, Harriet. It's best to call me Harry."

    h "Shorter, in any case. And not so awkward."

    h "Yeah, 'not too awkward': it's the story of my life. But it could always be worse, I reckon! Just think, I could've been named Pansy or something, or..."

    show harry oh

    h "Petunia."

    h "Bleargh, right?"

    h "Even a plant would frown at that name."

    h "I definitely do."

    jump mirror

##########################################
label mirror: 

# Seven point structure. Hook: the mirror of erised

    show harry shocked at left

    h "There's one odd thing that happened recently."

    h "Well, it's more than a little odd. Weird, really."

    scene bg_corridor with Fade(3, 0.0, 3, color="#000")
    stop sound
    show harry shocked at left

    h "I was walking down the corridor like I always do. To class."

    h "And I turned and took a path I don't normally take."

    h "I walked down it awhile and I passed an open door into some dusty hall. And this is odd, ‘cause I don't remember it being there before. "

    h "The corridor was brand new, but the hall, that hall was familiar."

    h "Weird, right? But not as weird as some other things at Hogwarts."

    play music shrine fadein 2 fadeout 2

    scene bg_mirror with fade 

    show harry shocked at left

    h "So I walked in."

    h "And walked closer."

    h "And closer..." 

    h "And there it was..."

    h "The Mirror of Erised. I had discovered it. Again."

    h "Right here at Hogwarts."

    show harry dork at left

    h "Strange, right?"

    h "I thought it had been been lost, ever since Dumbledore... well, anyway..."

    h "I thought it was gone for good."

    h "But there it was, right there. As mysterious and annoying as ever."

    h "I looked into it. Who wouldn't?"

    h "And my family was there. All of them, waving at me."

    show harry shocked at left

    h "But there's one more thing, that was odd."

    h "Had me blinking and staring, trying to check my vision when I first noticed it." 

    h "I really saw it, I know I saw..."

    hide harry shocked

    play music peaceful fadein 2 fadeout 2

    menu:

        "For a second there, my reflection was my actual self, and {b}[harry_preferred_pronoun_they]{/b} was everything I wanted to be.":

             jump trans

        "Hedwig's fluffy white feather, stuck in my hair.":

             jump hedwig

        "Snape, of all people. Right there in the distance, right behind my grand uncle Charlus...":

             jump snape

##########################################  
label trans: 
    $ harry_wants_transition = True
    if harry_appearance == "masculine":
        $ harry_preferred_pronoun_they = "she"
        $ harry_preferred_their = "her"
        $ harry_preferred_title = "Miss"
    if harry_appearance == "feminine":
        $ harry_preferred_pronoun_they = "he"
        $ harry_preferred_their = "his"
        $ harry_preferred_title = "Mister"

    $ harry_regret = "self"

    scene bg_mirror

    show harry neutral at left

    if harry_appearance == "masculine":
        hide harry 
        show harriet_neutral at right with dissolve
        h "Imagine a world where everyone, including Snape, calls me 'Miss Potter'. Miss! Ha, as if that's ever gonna happen."
        hide harriet_neutral
        show harry pout at left

    if harry_appearance == "feminine":
        hide harry
        show harry_neutral at right with dissolve
        h "A world where everyone, including Snape, calls me 'Mis-ter Potter'! Wouldn't that be something? I can dream, right?"
        hide harry_neutral
        show harry pout at left
 
    h "Ugh. The last thing I need right now is the entire castle reacting to this." 

    h "Gossiping in the corners, making up stories. Potter this, Potter that. As if I could be more of a freak already."

    h "Oh, what's the use of wondering? Of course, life's not going the way I wanted it to, but none of us ever get what we want, anyway. And it's not like that will ever change."

    h "I'm already not like the other students at this school, so what's one more thing to add to the rest?"

    jump mirror2

##########################################
label snape:
    if harry_appearance == "masculine":
        $ harry_preferred_pronoun_they = "he"
        $ harry_preferred_their = "his"
        $ harry_preferred_title = "Miss"
    if harry_appearance == "feminine":
        $ harry_preferred_pronoun_they = "he"
        $ harry_preferred_their = "his"
        $ harry_preferred_title = "Mister"

    $ harry_regret = "Snape"
    $ snape_approval += 1

    show harry umm at left

    h "I'm sure it was Snape..."

    h "Or maybe it was nothing. Some gargoyle with a dirty big nose, or something like that."

    $ persistent.nose_of_a_gargoyle = True

    h "That's an easy mistake to make, right?"

    show harry dork at left

    h "After all, who in their right mind would want Snape in their mirror?!"

    h "Not anyone I know. That's for sure."

    h "Ha. Probably not even Snape himself."
   
    jump mirror2

##########################################
label hedwig:
    if harry_appearance == "masculine":
        $ harry_preferred_pronoun_they = "he"
        $ harry_preferred_their = "his"
        $ harry_preferred_title = "Miss"
    if harry_appearance == "feminine":
        $ harry_preferred_pronoun_they = "he"
        $ harry_preferred_their = "his"
        $ harry_preferred_title = "Mister"

    $ harry_regret = "Hedwig"

    show harry oh at left

    h "Oh, girl. I keep thinking of you every day."

    h "Every time I get a letter or walk by the Owlery."

    h "You didn't deserve it, none of us ever deserve it."

    $ persistent.hello_hedwig = True

    h "I am so, so sorry."
   
    jump mirror2

##########################################
label mirror2:

    h "I stopped staring at that bloody mirror as soon as I caught myself touching the cool glass."

    h "There's no point in looking anyway, never was. It only shows you what you want to see, and that's never the real world."

    h "The real world is much harder, and bloodier, and far more brutal."

    h "I should never have looked in."

    show harry shy at left

    h "And I was late for my class on top of it all. Headmistress McGonagall was not pleased."

    h "As I walked back to the dormitory I took that turn again, but I didn't see the hall with the mirror there at all."

    h "Strange..."

    jump dormitory

##########################################
label dormitory:

    play music dreams fadein 5 fadeout 5
    play sound fire

    scene bg_fireplace with fade

    show harry happy at left

    h "So classes are done for the day..."

    h "It's not like us eighth years have much to do, anyway. Everyone's just trying to get us through our last year at Hogwarts."

    h "Except for Snape. He has us finishing plenty of homework for tomorrow, believe me."

    h "Ugh, I don't want to think about that! I’m going to get a T for sure. Quick. Let's think of something better than homework instead."

    h "What will it be?"

    menu:

        "Treacle tart! I need some, right now.":

            $ harry_favorite = "treacle"
            jump corridor

        "I think I might go flying.":
            $ harry_favorite = "flying"
            jump corridor
  
        "I probably should go see Ginny.":
            $ harry_favorite = "Ginny"
            jump corridor

    jump corridor

##########################################
label corridor:

    scene bg_corridor with Fade(3, 0.0, 3, color="#000")

    stop sound

    show harry laughing at left

    h "So, OK, it's not curfew yet. I can do this..."

    if harry_favorite == "ginny":
        h "She has to be around here somewhere! To think of it, I haven't seen her all day."

    if harry_favorite == "treacle":

        $ persistent.sweet_tooth = True

        h "There has to be treacle tart left in the Great Hall..."

    if harry_favorite == "flying":
        h "It's never too late to fly! That nighttime breeze in the air, seeing the sunset up close. Amazing!"


    show harry oh at left with vpunch

    play music creepy

    s "Potter!"

    h "Oh."

    h "Ohshit."

    h "Er, good evening, Professor Snape."

    show snape sinister at right

    s "Ambling about? Again?"

    s "What are you... up to?"

    menu:

        "Er. Nothing. I'm just trying to get to the library!":

            s "Library? You haven't graced the library with your presence since last year. Madam Pince was even worried you'd been expelled." 

            s "Could you think of a better lie, Potter? The nerve of some students, thinking they always deserve special treatment."

        "Um. Headmistress McGonagall wanted to see me!":

            s "Try again. I've had a conversation with the Headmistress just five minutes ago. The last thing she wants to see right now is you."

            s "When will you get it through your thick skull: you cannot lie your way out of trouble."

        "Er. Not much. On my way to the dorms right now.":

            $ snape_approval += 1

            s "Oh, very well. Go."

            s "And Potter... for the rest of the year, do at least try to behave as befits a Hogwarts student, difficult as it may be for you."

    h "What?"

    if harry_appearance == "feminine":

        s "Oh, how rude of me, of course, The Girl Who Lived deserves the undying gratitude of every stranger simply because she is the Saviour of the Wizarding World." 

    if harry_appearance == "masculine":

        s "Oh, how rude of me, of course, the Boy Who Lived deserves the undying gratitude of every stranger simply because he's the Saviour of the Wizarding World."

    s "The rest of us must fall back and be thankful for the mere honour of standing in the shadow of the greatest war hero."
   
    s "Is. That. It?"

    show snape sinister at right with vpunch

    s "POTTER?"

    s "Well, answer me!"

    show harry outraged 

    h "N-no."

    s "'No' what?"

    h "..."

    show snape eyebrow on right

    s "I am waiting."

    show harry eyeroll 

    h "No, sir."

    s "Is that so?"

    s "Well then."

    s "Five points from Gryffindor, for disrespecting your betters, and being dimwitted enough to get caught after curfew."

    show harry pout

    h "But wait... It's not..."

    h "Oh. It is ten already."

    show snape sinister on right

    s "Detention tomorrow. I expect you in my classroom at eight o'clock sharp."

    s "Do NOT be late."

    hide snape 

    show harry eyeroll 

    h "Right. 'Course."

    h "..." 

    h "Whew."

    h "That could've been worse."

    h "Right. What was I going to do? I suppose it's too late already. Best get back to the common room before..."

    show snape eyebrow with vpunch

    show harry oh on left

    s "Potter, why are you still here?"

    h "Sorry, sir. Going."

    s "Now!"

    h "Yes, sir! Right away."

    jump commonroom

##########################################
label commonroom:

    scene bg_fireplace with Fade(3, 0.0, 3, color="#000")
    play sound fire

    show harry umm at left

    play music peaceful fadein 3 fadeout 3

    if harry_favorite == "ginny":
        h "I never did find Ginny..."

    if harry_favorite == "treacle":
        h "I never did get that treacle tart..."

    if harry_favorite == "flying":
        h "I never did get a chance to fly..."

    h "And I lost points, just at the end of the year too. We're almost tied with Slytherin as it is, so every point matters."

    h "And on top of it all, detention tomorrow. Ugh."

    h "It's not my day."

    if snape_approval > 1: 

        show harry neutral at left

        h "Though... Is it just me, or did Snape seem less of a grumpy git than usual today?"

        h "Goes to show, even Snape can have his good days, I reckon."

        h "Ha! Bet that won't last!"

    show harry pout at left

    h "I know Snape barely survived, and he's on our side and all, but does he have to teach here?"

    h "Wonder how many are already thinking about it?"

    h "Yawn. Oh well."

    h "Might as well call it a night and go to bed before I get Gryffindor in more trouble."

    if harry_favorite == "ginny":
        h "Hope Ginny had a better day than I did..."

    if harry_favorite == "treacle":
        h "Tomorrow. Breakfast. Treacle tart! It will not escape me again."

    if harry_favorite == "flying":
        h "Tomorrow afternoon, I'm definitely going flying. I need all the sun and the air I can get to survive Snape's detention."

    if harry_wants_transition == True:

        show harry umm
    
        h "And there's another thing that's been bothering me."

        h "Well, lots of little things."

        h "It's weird. It's probably nothing."

        h "I don't know how to explain."

        show harry pout

        if harry_appearance == "masculine":

            h "Mister Potter. The Boy Who Lived. Gryffindor’s Golden Boy. Boy. Young man."

        if harry_appearance == "feminine":

            h "Miss Potter. The Girl Who Saved the World. The Girl Who Lived. Young lady."

        h "It's not me at all. It all sounds like nails on the chalkboard."

        h "Wrong, wrong, wrong."

        show harry outraged

        h "I hate it."

        show harry oh

        h "OK, hate is a strong word but..."

        h "My shoulders get so tense when I hear things like that."

        h "How do I stop myself from reacting like this?"

        h "I can't help it, my body just..."

        h "I don't want to start shaking every time I see myself in the papers and it's a reminder of… who I'm not."

        show harry pout

        h "Oh, the whole world's celebrating, why am I worried about the papers? Maybe there's a spell I can use for this. There has to be."

        show harry umm

        h "Yeah, a spell to mute certain words to help me from hearing them at all."

        h "I can even ask Hermione. I just have to be really careful when I explain why I need it. And how I can focus it on every pronoun directed at me."

        h "Yes. That's the best solution. For everybody."

        show harry shy
    
        h "Magic is meant to help in many situations, right?"

    if harry_wants_transition == False:

        if harry_appearance == "feminine":

            show harry shy

            h "And there's another thing that's been bothering me."

            h "For a while now."

            show harry umm

            h "In a few years now, I'll be almost as old as my mum, when she had me."

            h "She had me early on, out of school."

            h "It seems to be the trend, anyway. First the N.E.W.T.s, then the family."

            h "Only I don't want to think about that."

            show harry eyeroll

            h "I don't know why. Maybe 'cause it's practically expected of me?"

            h "Poor orphan girl Potter. Give it a go with the next generation, family at once. One way to fix all the problems, innit?"
   
            h "Even the mirror shows me surrounded by family."

            show harry oh

            h "But there's one thing in that mirror. I only see people long gone. I don't ever see myself surrounded by children."

            h "Funny how it is. I never did."

            show harry umm

            h "Well, enough of that anyway. Can't sort the future out in one go."

            h "Time to sleep, I suppose."

        if harry_appearance == "masculine":

            if harry_favorite == "Ginny":

                show harry pout

                h "I miss Ginny."

                h "Even if she's right there, a few flights of stairs away."

                show harry happy

                h "Can't quite go see her now though. The staircase will just fold under me and turn into a slide, anyway."

                h "Wonder if I can get my broom and fly over it."

                h "Someone has to have tried it by now!"

                show harry umm

                h "Oh well, she's probably asleep. And even if not, she won't be happy about being bothered at this hour. I know she won't."

                h "Still..."

                h "Good night, Ginny."

            if harry_favorite != "Ginny": 

                show harry oh

                h "And there's another thing that's been bothering me lately."

                h "Ginny and me."

                h "And before that, Cho and me."

                h "Any girl, really. Any other bloke would jump at the chance, what with a girl like Ginny, in any case. But I can't seem to..."

                show harry umm

                h "It should be exciting and terrifying and... I just... I can't see myself with her, or any girl."

                h "So we're not together, not anymore. It wasn't fair to her."

                show harry pout

                h "It's not about Ginny. I'm the one broken."

                h "I think I'm... "

                show harry oh

                h "Oh, fucking hell."

                h "Dudley didn't know how right he was after all. 'Who's Cedric, your boyfriend?'"

                h "I am a freak. Like they all said."

                if harry_regret == "Snape":

                    show harry pout

                    h "A freak who keeps seeing Snape in the mirror, on top of it all."

                    h "Pretty sure that wasn't a gargoyle nose at all, but Snape's."

                    h "Completely mental! He'd kill me if he knew."

                    h "No, he'd probably mock me first."

                    h "'Mis-ter Potter, What makes you think you have the right to imagine you and I could ever be, whatever it is your depraved mind had conjured up?'" 

                    h "'Two hundred points from Gryffindor!'"

                    show harry umm

                    h "And I wasn't even thinking of him like that. As if I would."

                    h "He's my professor, and anyway, he's..."

                    h "He loved my mum. He'd be appalled if he ever finds out."

                    h "I can't ever think of it, not when he's around to read my mind."

                    show harry shocked

                    h "Oh shit."

                    h "Mindreading! I'm doomed."

                show harry pout

                h "And I don't know if there's even a word for it in the Wizarding world."

                h "At least I never met anyone who was… like me."

                h "Oh, I wish Sirius was here to listen. He'd be able to tell me."

                h "Who else can I ask?"
    
                h "Ron would go mental if he found out."
    
                h "And Hermione would start asking all sorts of questions."

                h "I am not ready to answer any of them yet!" 

                show harry umm

                h "Oh, enough of that. I need to stop thinking from now on. That's it."

                h "Yeah, not one more thought about it, that would make everything better."

                h "Would solve all the troubles in the world, wouldn't it?"

    jump detention

##########################################
label detention:

    scene bg_classroom with Fade(3, 0.0, 3, color="#000")

    play music sinister

    show harry eyeroll at left

    h "So. It comes to this. Detention."

    menu: 

        "I wonder what I'll be doing today."

        "Scrubbing cauldrons?":

           h "Probably cauldron duty again."

           h "I can practically see my reflection in them."

           h "The picky git does like his cauldrons polished to perfection. All of them. And that's a lot of cauldrons!"

        "Scraping flobberworm mucus?":

            h "Ew, it's still slimy and squishy and stinks of cabbage." 

            h "It gets under my fingernails!"

            h "And then I’ll keep thinking of detention for weeks, 'cause I can't get the stench out." 

        "Polishing his boots?":

            h "Well, that'll be something new, at least."

            h "I wonder if the sour sod wants his boots polished as perfectly as his cauldrons."

            h "He probably orders the house-elves to do it every night. I should ask Winky about it."

    h "Ugh! Do I have to do this? Does he?"

    h "It's not like either of us wants to be here."

    h "He must be as tired of this as I am."

    show snape neutral at right

    s "Potter."

    s "I must apologise. I am forced to cut your detention short."
    
    s "You'll return next week."

    show harry shocked at left

    h "Wait!"

    h "You look... odd."

    h "What's in that letter?"

    show snape eyebrow at right

    s "My personal correspondence is none of your business!"

    show harry oh at left

    h "You look like it's bad. Really bad. Just tell me, is... "

    h "It's not the Death Eaters, is it?"

    show snape hair at right

    s "No. Nothing to do with the Order. It's..."

    s "It appears, the Ministry has decided that Hogwarts is better off without me."

# First Plot Point: Snape's about to be sacked. Harry wants to save his job

    s "I can't say I blame them."

    show harry outraged at left

    h "WHAT?"

    h "Are you… leaving?"

    show snape neutral at right

    s "Yes, Potter. In fact, according to this letter, this month will be my last as your Professor."

    h "But... No, wait!"

    h "They can't! You've been acquitted of all charges. I testified!"

    s "It appears the world doesn't work according to what we wish. Even if it's the wish of the Saviour of the Wizarding World."

    s "Don't concern yourself with it, Potter. Headmistress McGonagall will find a suitable replacement."

    s "Given my reputation, I am certain, not many will miss me."

    show harry shocked at left

    h "This is so wrong! It's bloody unfair!"

    h "Who decided this? We have to talk to them! I have to explain."

    show snape sinister at right

    s "I'm afraid there's nothing to be done."

    show harry outraged at left

    h "There's always something! There has to be."

    h "Just you wait."

    jump commonroomafterdetention

##########################################
label commonroomafterdetention:

    scene bg_fireplace with fade

    show harry shocked at center

    show ron neutral at left

    show hermione neutral at right

    play music swords fadein 2 fadeout 2

    h "And so that's when I said... Just you wait! And he..." 

    show ron wow

    r "What did you do?"

    show hermione wow

    hr "Harry, have you completely lost your mind?"

    h "What? It's bloody unfair, that's what it is!"

    h "We have to do something!"

    show hermione neutral

    hr "I doubt there's anything we can do."

    h "We must!"

    r "Really, Harry, what are you going to do, tell the Headmistress to keep Snape on as the local attraction? Stick him next to the flobberworm patch and feed him daisies?"

    h "Maybe I should speak to her."

    hr "And say what? That you want Snape to keep teaching you Potions? You can't just march into McGonagall's office and..."

    show harry outraged

    h "Can't I? Watch me!"

    jump headmasteroffice

##########################################
label headmasteroffice:

    scene bg_office with fade

    show harry outraged at left
   
    show mcgonagall neutral at right

    if harry_appearance == "masculine":

        m "Mister Potter. This is rather sudden..."

    if harry_appearance == "feminine":

        m "Miss Potter. This is rather sudden..."

    h "You have to help him! You have to."

    m "I'm afraid this matter is out of my hands."

    m "The board has received a number of letters from concerned parents."

    m "Professor Snape is lucky to have been allowed to remain at Hogwarts to complete this school year as it is."

    show harry oh at left

    h "This is completely unfair! He's a war hero!"

    if harry_appearance == "masculine":

        m "We both know by now that the world doesn't function by what is fair, Mister Potter."

    if harry_appearance == "feminine":

        m "We both know by now that the world doesn't function by what is fair, Miss Potter."

    show harry outraged at left

    h "He's been through enough, hasn't he? He may be a bastard but he doesn't deserve to be sacked for it."

    if harry_appearance == "masculine":

        m "Language, Mister Potter!"

    if harry_appearance == "feminine":

        m "Language, Miss Potter!"

    show harry oh at left

    h "Ugh. Sorry. Er."

    h "Just promise me you'll try!"

    h "Please!"

    menu:

        "It's only fair. Because..."

        "He worked alongside you for years. You know him better than anyone. Does he deserve this?":

            $ mcgonagall_approval += 2

        "Headmaster Dumbledore would have wanted Snape here, and safe from harm.":

            $ mcgonagall_approval += 1

        "I bloody say so. And the word of the Saviour has to be good for something!":

            $ teacher_disapproval += 1

            $ mcgonagall_approval += 0

    m "Very well."

    m "Now if you are done here, I do have a school to run."

    h "Yes, Headmistress McGonagall."

    m "Good night."

    jump potionsclassroom

##########################################
label potionsclassroom:

    scene bg_classroom with Fade(3, 0.0, 3, color="#000")

    show harry neutral at left

    play music shrine fadein 2 fadeout 2

    h "I've done all I can here. I will start writing letters next. Maybe Hermione can help me with a petition."

    h "It's been a busy few days but maybe Snape stands a chance now."

    h "I feel really hopeful about it."

    h "Even though I am having that detention tonight."

    show snape neutral at right

    s "Potter. A word."

    s "It has come to my attention that you’ve intervened on my behalf." 

    show harry umm at left

    h "Y-yeah? Maybe I did say a few things." 

    show harry happy at left

    h "... To a few people."

    menu:

        "It's not like it was too much trouble or anything.":

            $ snape_approval += 0

        "We've all done things we regret. And you're far from the monster they're making you out to be.":

            $ snape_approval += 1

        "See, I've learned my lesson. So do we really have to have detention tonight?":

            $ teacher_disapproval += 1

            $ snape_approval += -1

    show snape sinister at right

    s "Do not ever do that again." with vpunch

    show harry shocked at left

    h "What? Why?"

    s "I do not need students meddling in my personal affairs!"

    s "... least of all the Gryffindor Golden Child, school celebrity of the hour!"

    show harry oh at left

    h "Wait a minute! I can't help it."

    h "It's only fair. Someone has to speak up!" 

    s "You have done enough. More than enough."

    jump commonroomnight

##########################################
label commonroomnight:

    scene bg_fireplace with Fade(3, 0.0, 3, color="#000")

    play music conflicted

    play sound fire

    show harry outraged at left

    h "I can't believe it! He didn't even want my help."

    h "As if losing his job is nothing!"

    h "I know it's not nothing to him. I just know!"

    h "It's bad enough they didn't even let him go back to teaching Defence Against the Dark Arts."

    h "And, of course, he's not been allowed to remain a Headmaster for long either. The board saw to that."

    show harry shocked at left

    h "But kicking him out altogether? After all that he's done for the war? That's not how a fair world should treat its heroes."

    h "I'm going to get to the bottom of this! I will help him!"

    scene bg_fireplace 

    play music peaceful fadein 3 fadeout 3

    play sound fire

    if harry_wants_transition == True:

        show harry oh at left

        h "And, and, there's another thing that's been bothering me."

        if harry_appearance == "masculine":

            h "Everyone keeps calling me Mister Potter. Even Headmistress McGonagall."

        if harry_appearance == "feminine":

            h "Everyone keeps calling me Miss Potter. Even Headmaster McGonagall."

        h "I didn't use to let it get to me. But it's getting harder not to pay it any attention."

        h "These days, it makes me feel hopeless."

        h "I don't want the world to remember me as that. It's not who I am."

        show harry umm at left

        h "Funny. Snape doesn't call me that as often as some teachers. Just Potter this, Potter that."

        h "Somehow it's a relief."

    elif harry_favorite == "Ginny":

        show harry oh at left

        h "And and there's another thing that's been bothering me."

        h "I barely had any time to see Ginny lately. What with us studying for our N.E.W.T.s."

        h "It's OK, really, I understand. But I do miss her."

        show harry dork at left

        h "She makes me happy, even if I just catch a glimpse of her in the corridor."

        h "It’s a shame we don't have many shared lessons though."

        h "Maybe we should study together."

        show harry happy at left

        h "Funny, we'll end up leaving Hogwarts together, after all, her and I. She caught up to us."

        h "Though if you ask me, she's far ahead of us all, leading the way."
        
    elif harry_regret == "Snape":
        
        show harry oh at left

        h "And and there's another thing that's been bothering me."

        h "I keep thinking of what I saw in the mirror."

        h "That gargoyle nose I saw in the shadows, which wasn't a gargoyle at all."

        h "Seeing my family around me: that I understand. But Snape? Why him?"

        h "Is it because he has no one either, like me? Maybe that's it."

        h "I wonder, does he have any family or friends at all? Does he miss them?"

        h "And more importantly, what would Snape see in the Mirror of Erised if he looked at it?"

        h "I don't want to guess but... would he still see my mum?" 

        h "Oh, what does it matter?"

        h "It's not like I'll ever know for sure."

    if harry_favorite != "Ginny":

        show harry umm at left

        h "I can't stop wondering about Snape."

        h "But it's not like I'm stalking him, that would be plain creepy."

        h "And I'm not desperate like a besotted 13-year old, thankyouverymuch."

        show harry oh 

        h "It's not as if I'm writing Snape's initials in my notebooks and drawing hearts around them. Ew."

        h "Still, there's something about him that's rather unforgettable..."

        show harry happy

        menu: 

            "That stare.":

                $ snape_approval += 3

                h "It's so dark and mesmerising. Commanding."

                h "And when he meets your eye, I doubt anyone could ever look away."

                h "I can't."

            "That stride.":

                $ snape_approval += 2

                h "The way he walks down the corridors. So sure. So silent."

                h "And his cloak always billows as if by magic. Though I think it's the way his hips move."

            "Those hands.":

                $ snape_approval += 3

                h "He keeps fondling his quills when we're in class."

                h "And on occasion, he taps his lips with his finger and..."

                h "I can't stop staring when he does that."

            "That nose.":

                $ snape_approval += 1

                h "I mean, come on."

                h "What else can I say? It's... quite a nose."

                h "Impressively huge."

                h "Um, yeah. That says it all."

        h "But in the end, it's not about his hands or his voice, or his stare."

        h "Truth is, I can't tell why. I just know something's happened."

        h "Something to make me afraid to look at him at times."

        h "Something to make me want to stare at him anyway."

        h "I can't even breathe when he passes me in the corridor, or when he looks at me."

        h "I keep thinking of him, and I worry about him too. What's going to happen to him?"

        h "Does he ever even suspect I have these thoughts?"

        h "This isn't just about justice. It's about him, just as much. It's personal."

    show harry umm at left

    play sound fire

    h "It's so quiet here during the night."

    h "I don't mind. Helps me think things through."

    h "I like the sound of the coals crackling."

    h "There's something really relaxing about them, you know."

    h "Nice and quiet."

    h "Reminds me of my talks with Sirius."

    h "He could really listen, and he was someone I could always talk to. About anything at all."

    h "I wonder if I'll ever get a chance to have that again."
    
    h "With anyone at all."

    h "I hope so... someday." 

    stop sound

    jump greathallmorn

##########################################
label greathallmorn:

    scene bg_great_hall with Fade(3, 0.0, 3, color="#000")

    play music shrine fadein 3 fadeout 3

    play sound hall

    show harry neutral at left 

    h "The next morning, everything seemed OK. At breakfast at least."

    h "Until the morning post arrived that is."

    h "Hermione opened it first."

    h "I thought, after we got rid of Voldemort, well, there wouldn’t be anything to be afraid of anymore."

    h "It was just the Daily Prophet. How bad could it be?"

    show harry umm at left 

# Pinch Point 1 (dark forces gather): Newspaper article about Snape teaching at Hogwarts

    h "But there it was, on the front page."

    h "In the interest of public safety, the Ministry prohibits war criminals and recipients of the Dark Mark from holding any Ministry posts, procuring employment in education or public sphere, and casting spells within ten feet of Wizarding settlements."

    h "Such a simple text, hardly two full paragraphs."

    h "Snape was a recipient of the Dark Mark, wasn't he?"

    h "I'd forgotten that somehow, what with everything that happened. With the things he did that weren't about the Mark at all."

    h "Or the things he did to make up for taking it once."

    h "He was tried once and acquitted. Did this mean he'd have to be tried a second time, despite being found innocent the first time around?"

    show harry shocked at left

    h "I looked at the High Table, to see if Snape had read the paper yet, but he wasn't even at his usual seat."

    h "I thought I saw him leaving, just a glimpse of his black robe, as he swooped out along the corner corridor."

    show harry umm at left

    h "He's good at that, swooping. And snarling. And scowling."

    h "But even Snape can't do the impossible."

    stop sound

    jump hermionehall

##########################################
label hermionehall:

    scene bg_corridor with Fade(3, 0.0, 3, color="#000")

    show harry neutral at left

    play music magic fadein 3 fadeout 3

    h "After breakfast, I was on my way to class."

    h "But then Hermione caught up with me."

    show hermione wow at right

    hr "Harry? We really need to talk."

    show harry oh

    h "Is it about the paper? Don't remind me. Ugh."

    show hermione neutral

    hr "Well, kind of. Not the article on the front page."

    show hermione wow

    hr "I'm worried, Harry. Really worried."

    hr "There's a frightening trend in the news lately. And not just in the news. It's everywhere I can see. Everyone wants the war over with. But they also want vengeance. For everything that went wrong during the war."

    hr "I fear the Wizengamot will not stop at one law. They won't stop until anyone associating with the wrong side are in hiding or in prison. Until there's no place left for them to go."

    show harry shocked

    h "Wait. What makes you say that?"

    hr "Don't you see? It's everywhere. You just have to read the papers."

    show hermione neutral

    hr "Well, OK, sometimes you have to read between the lines."

# Mid-Point: Law to keep former DEs from wielding magic / casting them out to muggle world is to be considered 

    h "So if they're after the Death Eaters... what's going to happen to Snape?"

    hr "I don't know. But... when it comes down to it, he has the Mark."

    show harry outraged

    h "I've got a mark from Voldemort right here, on my forehead. Do you think I wanted it?"

    show hermione wow

    hr "You know that's different."

    h "How different can it be?"

    hr "Apparently, enough to destroy someone's livelihood and reputation."

    hr "Although, a separate question is, is it fair?"

    h "I don't know, Hermione. You tell me."

    jump ronpotions

##########################################
label ronpotions:

    scene bg_classroom with Fade(3, 0.0, 3, color="#000")

    show harry happy at left

    show ron neutral at right

    play music worried fadein 3 fadeout 3 

    r "All right, we can do this, right, Harry? Just another potions class..."

    r "And it's not like it's our first time in Snape's class. We're professionals at this by now!"

    r "So, er, OK then, what's the next ingredient?"

    menu:


        "Ten asphodel leaves":

            menu:
                "five finely crushed dried slugs…":
                    h "Slimy!"
                "Seventeen severed shrake spines …":
                    h "Sturdy!"
                "Twelve tubeworms, finest quality…":
                    h "Wiggly!"

        "Seven poppy seeds":

            menu:

                "Six snakeweed blossoms, slightly wilted…":
                    h "Squishy!"
                "Wartcap powder, very finely crushed …":
                    h "Sneeze-worthy!"
                "Vervain and vinegar, watered down…":
                    h "Wet and wild!"

        "Eleven flitterblooms":

            menu:
                "Starthistle, summer blooms...":
                    h "Sparkly!"  
                "Wormwood root, dried and quartered...":
                    h "Squiggly!"
                "Unicorn horn shavings, unraveled and untamed...":
                    h "Crunchy!"

    h "Yeah, we've got it. Perfect. Next?"

    show ron wow

    r "... er, watch out the cauldron doesn't explode."

    h "It's on simmer, Ron. I'm not Neville!"

    show ron neutral

    r "If you say so. I reckon it won't do us any favours to ruin the brew while Snape's still a teacher."

    show harry shocked 

    h "Hey!"

    r "Just saying."

    h "For your information, I doubt Headmistress McGonagall will allow Snape to be sacked."

    h "I spoke with her the other day. And she knows what's going on."

    r "Right..."

    h "What does that mean? 'Right'?"

    r "Just... um."

    h "Just um what, Ron?"

    show ron wow

    r "It's just, my dad said something the other day. About the Ministry taking a harder stance on those who were on the wrong side of the war."

    r "And about Hogwarts embracing it."

    r "Like, not completely getting rid of Slytherin, but, you know."

    h "I actually don't."

    show ron neutral

    r "I'm sure it's nothing."

    show harry outraged

    h "It better be nothing!"

    show snape neutral at center

    s "Potter. Weasley." with vpunch

    show ron wow

    show harry umm at left

    h "Er, we're almost done, Professor Snape."

    s "Excellent. I can't imagine what would happen if you would miss the deadline to turn in your work. You might just have to make up for it in detention."

    h "Umm."
    
    s "The deadline is now. Is. That. Clear?"
    
    jump prophetevening

##########################################
label prophetevening:

    scene bg_fireplace with Fade(3, 0.0, 3, color="#000")
    
    play sound fire

    h "That evening I couldn't sleep."

    h "So I came down to the common room to sit by the fire."

    h "Somehow fire always calms my thoughts. As if the flames are listening."

    if harry_wants_transition == True:

        play music peaceful fadein 3 fadeout 3

        show harry oh at left

        h "So many thoughts kept running through my head..."

        if harry_appearance == "masculine":

            h "All memories of this room. And me in it."

            h "No one was around."

            show harry umm

            h "The last time it was as empty as this, I tried something."
    
            h "It was late at night and everyone was asleep, just like now, and I wasn't afraid of being seen."

            h "I stood there, at the staircase to the girls' dormitories and my legs were frozen, my feet glued to the spot."

            h "You see, the dormitory staircases at Hogwarts never let boys up to the girls' dorms."

            h "Which is, well... probably for the best."

            h "But the question on my mind was, would it let me in?"

            h "Cause I... 'cause of what I saw in the Mirror of Erised."

            h "I was so afraid to try it."

            h "But I had to. I couldn't stand not knowing."

            h "I couldn't face it if it turned out to be the wrong thing as well."

            h "I took one step. And then the other and I stopped."

            h "The staircase shook a little and I couldn't bear to keep going up any more."

            h "What if I took just one more step and the staircase would collapse and turn into a slide, like it always did with Ron, and every other bloke around?"

            h "And then even Hogwarts would not have accepted me for who I was."

            h "I couldn't bear it. So I just stood there, in the dark."

            show harry neutral

            h "But I made it to the second step, that counts for something, right?"    

            $ persistent.two_steps_up = True

            h "Best leave it at that for now."   
 
        if harry_appearance == "feminine":

            h "All memories of this room. And me in it."

            h "No one was around."

            show harry umm

            h "I have to be careful with Hermione in the dorms, and everyone."

            h "Up there, if she sees me thinking alone for too long, she'd want to pry."

            h "Ron can't join us there of course. Stupid castle rules. The staircases to our dorms are charmed not to let boys through."

            h "At least, that's the official description."

            show harry neutral

            h "I'm not sure how their enchantment really works though, 'cause at times I have to be careful."

            h "I forget myself and they shudder at my footsteps, I can feel it. And then I am afraid to take another step."

            show harry happy

            h "But it's a happy feeling too, like butterflies in my stomach."

            h "What if the staircase knows exactly what's in my mind? And it feels it. But it's being nice, anyway."

            show harry umm

            h "'Causing a spectacle is the last thing I'd want, after all."

            h "I don't want to think about the staircases too much. Ron can't join me there."

            show harry happy

            h "But we do go out to the Quidditch Pitch together a lot, and we fly."

            h "And when we do that, Ron and I, sometimes it feels like I'm just one of the blokes."

            $ persistent.free_to_fly = True

            h "In the sky there are no staircases. No words. No worries. Only the sun and the air."

            h "For a time, I forget about it all. It's just Ron and I."

            h "Is that what it feels like to have a brother?"

            show harry shy

            h "I think, before this summer's over, I will cut my hair short, just like Ron's... or Madam Hooch's."

            h "I don't care if it's not really done. Aunt Petunia would have had a fit, but she's not here, is she?"

            h "I don't even have to explain anything, just that it's easier to fly with it short. That's all anyone needs to know."

            show harry neutral

            h "It's even true, it wouldn't get in my face so much when I'm flying. Wonder how the wind on the Quidditch Pitch would feel then?"
            
            h "Would the staircases still let me through? I hope so. I can't spend the rest of the year sleeping in the common room."

            h "Oh well, I have to stop worrying about something that hasn't happened yet. There are so many other things to worry about."

    show harry umm at left

    play music worried fadein 3 fadeout 3 
    
    h "I keep thinking about what Hermione said to me about people casting the Death Eaters out."

    h "And about what Arthur Weasley told Ron."

    show harry shocked

    h "And it's scary. Real scary."

    h "I should probably check the Evening Prophet, there's a copy right there, on the table."

    h "Hm, nothing on the cover. Or the first pages..."

    show harry oh with vpunch

    h "Wait!"

    h "Look at the page six, hidden beneath all the adverts."

    h "It's about Snape!"

    h "Well, or as they put it, a seasoned Death Eater, teaching young children to brew poisons and nefarious substances at Hogwarts."

    show harry oh at left

    h "He won't survive a public witch hunt."

    h "It's not fair. None of it is. The news of his acquittal didn't even make it to the third page."

    h "I wouldn't be surprised if half of the readers didn't care or know he was declared innocent."

    h "What's going to happen to Snape now?"

    h "How is he going to survive?"

    h "Headmaster Dumbledore would not have wanted this."

    h "He'd've... actually, I don't know what he would have wanted to happen."

    h "But not this, I'm certain of that."

    stop sound

    scene bg_corridor with Fade(3, 0.0, 3, color="#000")

    show harry outraged at left

    h "I was so angry at the world. At everything."

    h "I went for a walk then. And it was pretty late."

    h "And as I roamed through the empty corridors, I noticed this one passage."

    h "It led toward that familiar open door."

    h "So I came closer."

    h "And turned into the corridor."

    h "And walked into that dusty, abandoned hall."

    scene bg_mirror with Fade(3, 0.0, 3, color="#000")

    show harry shocked at left

    h "As I expected, the Mirror was still there."

    h "For a moment, I wondered, should I look in?"

    h "And then I did."

    h "And I didn't see myself for once, just my family. All of them. Mum and Dad. Ron and Hermione. Celebrating us finishing our final school year."

    h "Not just family. My teachers were there too. Happily toasting, enjoying the food."

    h "And Snape was there."

    h "It was then I knew what I had to do."

    h "The only right thing there was left to do."

    h "I had to do something."

    h "I had to try."

    jump headmasteroffice2
    

##########################################
label headmasteroffice2:

    scene bg_office with Fade(3, 0.0, 3, color="#000")

    show harry outraged at left
   
    show mcgonagall neutral at right

    play music swords fadein 2 fadeout 2

    h "We have to do something!"

    h "Do you hear me?"

    m "Whatever it is, it can surely wait until morning."

    h "No it can't!"

    menu: 

        "A Hogwarts professor's reputation is at stake! Every second counts!":

            m "You're talking about Professor Snape, I presume? Harry, this isn't the time or the place."

        "A war hero's name is dragged through the mud. This concerns everyone.":

            m "Is this about Professor Snape? This is a personal matter, Harry, and it's best if we discuss it in the morning."

        "A man is about to lose his job and that's anything but fair!":

            m "It's good of you to worry about Professor Snape, Harry, but aren't you being over-dramatic about the subjects you shouldn't concern yourself with?"

    h "We need to talk about it! As soon as possible!"

    m "There is nothing to talk about. Professor Snape has agreed with the best course of action. And he will follow through on his word as is proper."

    h "What?"

    h "You're sacking him, and he went along with it?"

    h "You can't be serious!"

    m "Potter, this matter is none of your concern."

    h "Like hell it isn't. Looks like I'm the only one in the castle who cares what actually happens to war heroes!"

    m "This is your last warning. You are disrespectful and I will not hesitate to choose an appropriate punishment, regardless of your position or fame."

    h "No, you listen! If you're sacking Snape, I'm leaving too!"

    m "Potter."

    h "I will. I swear. I'll go to the papers first thing too. Let's see how the Wizarding world reacts to the great Harry Potter not having taken N.E.W.T.s once they learn why that is."

    if harry_appearance == "masculine":

        m "Mister Potter!"  with vpunch

    if harry_appearance == "feminine":

        m "Miss Potter!" with vpunch

    m "You're out of line and out of control. You leave me no choice."

    m "I will give you twelve hours to think about your decision."

    m "When I see you again in this office, I expect you to apologise for your childish outburst."

    m "And afterwards I shall reconsider your readiness to take the N.E.W.T.s this year."

    m "No one threatens Hogwarts' reputation or the safety of the students on my watch. Not even the great Harry Potter."

    m "You are dismissed."

    jump corridorroam

##########################################
label corridorroam:

    scene bg_corridor with Fade(3, 0.0, 3, color="#000")

    show harry eyeroll at left

    h "Seeing Headmistress McGonagall did not improve my mood."

    h "Everyone around me sees fit to gamble with one person's fate, as if it is some spectacle."

    h "Even Snape himself."

    h "Well, I don't care if the world isn't fair. Or if it’s absolutely hopeless to try to go against that."

    show harry pout

    h "If I can make one tiny bit of it better than before, isn't it worth trying?"

    h "The corridors were quiet. And my legs automatically carried me down the staircases. Down, down, down."

    h "Past the ground level and to the dungeon."

    h "Until I stopped in front of Snape's office door. It was ajar, and the light seeped through as if someone was still there."

    show harry umm

    h "It felt like peering into a dusty hall with the mirror in it."

    h "Same sort of uncertainty if not the mood."

    show harry neutral

    h "In any case, I stepped in. Maybe it was the wrong decision to make, but I had to know."

    h "I had to ask him myself."

##########################################
label dungeon:

##########################################
# Pinch Point 2: Snape: What will you do. Harry: I don't know. I wanted to be an auror. That's not going to happen, obviously. *heart to heart*
##########################################
    scene bg_snape_office with Fade(3, 0.0, 3, color="#000")

    show harry oh at right

    play music bells fadein 3 fadeout 3 

    h "Professor Snape?"

    h "Are you here?"

    show snape hair at left

    s "Potter. What are you doing here at this hour?"

    h "Um, I spoke with Headmistress McGonagall, sir. She told me the news."

    h "Are you really leaving?"

    s "Yes, Potter." 

    show snape eyebrow 

    s "Don't tell me you are disappointed."

    s "It's been expected. There's nothing to be done."

    h "I tried anyway. Um, to do something that is. I yelled at the Headmistress. First time I've done that."

    h "Pretty sure I won't be allowed to take my N.E.W.T.s this year."

    show harry umm  

    h "Completely worth it!"

    h "I've got twelve hours and then... well, anyway, doesn't matter."

    show snape sinister

    s "What are you planning to do?"
   
    h "Dunno, really. Funny, I always wanted to be an Auror. Ron and I do, together. That's not going to happen now, obviously."

    show snape eyebrow

    s "Auror?"

    h "Yeah, predictable, huh? Wanted to fight for truth, justice, and the Gryffindor way."

    h "Guess I can do that without being accepted into the Auror Academy."

##########################################
# Trans Harry plotlines: pronouns matter
##########################################

    if harry_wants_transition == True:

        if harry_appearance == "masculine": 

            s "Of course you can do anything you put your mind to, Mis-ter Potter."     

        if harry_appearance == "feminine": 

            s "Of course you can do anything you put your mind to, Miss Potter."

        show harry pout

        h "I wish you wouldn't call me that."

        show snape concerned

        s "..."

        s "Why?"

        show harry shy

        h "I... it's not who I am."

        s "It's unlike you to reject a name. Even your mother has accepted James Potter's legacy as her own."

        show harry umm

        h "Well, I'm not my mum."

        show snape smirk 

        s "I'm well aware of that."

        show harry oh

        h "Oh."

        s "Why so surprised? Anyone in possession of a working pair of eyes would tell you the same."

        h "Um. Guess so."

        h "And it's not about my parents. Not everything has to be. Um, I don't know if I can even explain it."

        show snape eyebrow

        s "Try."

        show harry shocked

        h "Do you mean it? Like..."

        s "Would I say it otherwise? Well?"

        h "OK, then, I'm..."

        h "...Did you ever look in the mirror and think, this isn't who I am? Nothing like the person I want to be?"

        h "But thinking I could ever be anything else is all stupid and pointless."

        s "Why would you ever think so?"

        s "You're the Saviour of the Wizarding World. No one is stopping you from doing anything you wish."

        show harry eyeroll

        h "Yeah right, the whole world's... like it is. It's not like I can ever go and be..."

        show harry pout

        h "I-it's... complicated. There's no use. The world's..."

        show snape smirk

        s "Forget about the world for a while. Let's start with this room."

        s  "You seemed to have an issue with me addressing you as..."

        if harry_appearance == "masculine": 

            s "Mister Potter."     

        if harry_appearance == "feminine": 

            s "Miss Potter."

        show snape listening

        s "What would you prefer I call you instead?"

        show harry shy

        h "Um. Harry Potter is OK. Maybe just that?"

        h "But it's not about that, it's about..."

        show harry umm

        if harry_appearance == "masculine": 

            h "I would hate..."

            h "Um..."

            h "What I mean is, I would hate being called 'Harriet' so, um, yeah, even if..."     

            $ persistent.harriet = True

        if harry_appearance == "feminine": 

            h "I... it's complicated."

            h "I don't..."

            h "Just call me 'Harry', Harry fits. And even I can't imagine I'll ever use something like 'Harold'. Ever! Even if..."

            $ persistent.harold = True

        show snape concerned

        s "Oh."

        show snape smirk

        s "'Even if', [harry_preferred_title] Potter? Not 'when'?"

        show harry shocked

        h "Oh."

        show harry dork

        h "Um. Thanks."

        show snape hair

        s "I... haven't done anything."

        show harry happy

        h "You did. A lot actually. Thank you. For understanding."       

        show snape smirk

        s "I would have thought it would be obvious to any reasonable person in possession of a working brain."

        s "Or anyone you trust enough to share your company with for longer than an hour."

        s "Certainly your friends. Or your teachers."

        show harry neutral

        h "You're one of my teachers."

        show snape eyebrow

        s "Not for much longer, I am afraid."

        show harry umm

        h "You're... no matter what happens. I want you to know. You're not just my teacher."

        h "You're not. Thank you for being someone I could talk to, too."

        show snape smirk

        s "Anytime, [harry_preferred_title] Potter."     

        show harry dork

        s "May I ask..."

        s "Do your friends know, [harry_preferred_title] Potter?"

        show harry shy

        h "No, why should they -"

        s "No reason. Only..."

        s "Do you know your entire face lights up like your infernal house banner upon winning the House Cup?"

        s "And this is after a simple courtesy from someone you hardly enjoy the company of."

        s "Think of how much better this simple act of acceptance would feel coming from a close friend."

        show harry laughing

        h "Oh."

        show snape eyebrow

        s "Quite. And yet you still speak of it as 'if', not 'when'?"

        show harry umm

        h "What's wrong with that?"

        show snape concerned

        s "It's merely unlike you."

        s "For a child who spent so much of his time in the cupboard to..."

        s "... force oneself in the closet once more."

        s "Perhaps you should consider letting others in, hm?"

        show snape smirk

        s "Think of how wide your smile is going to be if your friends acknowledge who you really are."

        s "It'll practically light up the room."

        s "I imagine at some point, though, your ears will get in the way of true bliss."

        show harry laughing 

        h "Ha!"

        show snape happy

        s "It's no laughing matter, Potter. None at all."

        h "Riight."

        show harry shy

        h "Um, Professor? Can I ask..."

        h  "Have you ever found the Mirror of Erised in the castle?"

        show snape eyebrow

        s "Hmm? What about it?"

        h "The reason I'm asking is that I have. Several times."

        h "I looked into it too. Do you know what I saw?"

        show snape listening

        s "Yourself is a safe bet."

        show harry umm

        h "Yeah, there was that."

        if harry_appearance == "masculine": 

            h "It was an extraordinary sight. Her. Myself."

            s "Why 'was'? She is."

        if harry_appearance == "feminine": 

            h "It was an extraordinary sight. Him. Myself."

            s "Why 'was'? He is."

        s "If I can trust my eyes, you are right here, are you not?"

        show harry oh

        h "Yeah, but -"

        show snape neutral

        s "Have you had this conversation with anyone else? If not your friends, then your former Head of House perhaps?"

        h "I... no, actually. Just you."

        h "I don't know why. It's harder to bring it up with someone whose opinion I care about. What if I lose them?"

        show harry umm

        h "Like, it's easier with you, 'cause... Um."

        show snape eyebrow

        s "There's no love lost between us. You can say it."

        show snape neutral

        s "Still, it is my hope that they will surprise you, Potter. A good kind of surprise."

        show harry neutral

        h "Oh. Um, I need time to think about it all."

        show snape listening

        s "Certainly."

        s "And Potter..."

        show harry pout

        h "Yeah?"

        s "If you ever need to talk, my door is open."

        s "I've also been known to reply to correspondence, should you choose that route."

        show snape eyebrow

        s "I trust you won't forget how to write after your N.E.W.T.s are over and done with. Whenever that might be."

        show harry happy

        h "I... OK. As long as you don't send my letters back covered with red ink and a Troll mark on the bottom."

        show snape smirk
        
        s "Only if they deserve it. But I suspect my time as your Professor has come to an end."

        s "You're not the only one looking forward to this occasion, let me assure you."

        show harry laughing

        h "Ha! You aren't so bad to talk to outside the classroom, Professor."

        show harry shy

        h "Thank you for listening."

        show snape happy

        s "Thank you for your trust, [harry_preferred_title] Potter."

##########################################
## //TODO, add extra lines if transgender Harry is interested in Ginny or Snape
##########################################

    if harry_wants_transition == False:

##########################################
## cis guy Harry Snarry storyline - crush on a teacher
##########################################

        if harry_appearance == "masculine": 

            if harry_favorite != "Ginny":

                play music magic fadein 3 fadeout 3

                s "Why such a poor outlook on life, Potter?"

                s "I, for one, am certain of your bright future."

                s "You shall leave Hogwarts with the N.E.W.T.s necessary to succeed."

                s "You will likely marry, start a family, as any average Hogwarts student tends to do, and thus you shall live happily ever after."

                s "Two decades from now, Hogwarts will have to withstand your young brood, and I for one am glad I will not be around for that stellar occasion."

                show harry eyeroll

                h "Yeah, well... I don't think that's ever going to happen! Any of it."

                show snape eyebrow

                s "What makes you say that?"

                h "I'm... I just don't think I'm cut out for family life."

                show harry umm

                h "Not in the usual sense, anyway."

                show snape neutral

                s "Well, if that's truly the case..."

                s "There's nothing wrong with the life of a confirmed bachelor."

                s "If that's what you choose. You're young, healthy, alive. The world is yours."

                show harry pout

                h "Um. Yeah. Being alone all my life and growing old and miserable, you mean, like..."

                show snape sinister

                s "... Like me, Mister Potter?"

                h "Er. Um. I'm sorry."

                h "You aren't old, you know."

                show snape eyebrow

                s "Only miserable? Lucky me."

                h "Uh."

                show snape listening

                s "I don't understand, Potter. You seem conflicted. You're young. Not entirely unpleasant to look at..."

                s "What's there to stop you from finding happiness and companionship? Any adoring fan would jump at the chance."

                show harry eyeroll

                h "Yeah, let's not talk about that."

                s "As you wish."

                show harry umm

                h "Professor? Did you ever... wonder what would happen if you had a family? A wife. Maybe kids."

                show snape hair

                s "No."

                s "It was never meant to be for me. But it doesn't mean you must choose the same path."

                s "Unless you want to, and clearly you dread the thought of it."

                h "Well, it doesn't matter what I want, it's not like I have a choice!"

                s "Oh, really, Mis-ter Potter. I could count the number of fawning young witches..."

                show harry eyeroll

                h "Er, pretty sure fawning young witches aren't my thing."

                show snape listening

                s "I... see."

                show harry shocked

                h "Oh."

                h "Er. I didn't mean it like that."

                show harry umm

                h "I mean the fawning part. Really. The rest is fine."

                h "All fine. Perfect really. Excellent!"

                show snape smirk

                s "As I said before then, plenty of adoring young wizards would jump at the chance. Nothing says you can't build a family with one."

                show harry oh

                s "You are, after all, the great Harry Potter, whoever you choose, the world will always accept it and praise the decision."

                show harry pout
    
                h "I... You make it sound so simple."

                s "Oh, of course it is. So whatever young man you have pining after you..."

                h "I don't!"

                s "Well, why not?"

                h "I'm... I never thought of things that way. That I could..."

                show snape eyebrow

                s "Such restraint. So unlike the usual Gryffindor tendency to pair off in the bushes at the first opportunity."

                h "Hey! There was Voldemort to deal with. Kind of hard to think of... pairing up with anyone really. Not when I could die."

                s "You are alive, Mister Potter."

                s "Don't stop living just because you have had the weight of the world thrust on your shoulders."

                s "You are far too stubborn for that."

                show harry neutral

                h "Yeah, you've got a point there."

                h "For a confirmed bachelor. Who has aged well and is occasionally not a completely miserable bloke? Um. At least I think so."

                show snape hair

                s "Is that a compliment? You must be desperate for better potions marks these days..."

                h "Just the truth."

                show harry happy

                h "Didn't know you took compliments from students, Professor."

                show snape eyebrow

                s "Hmph. For your information, I don't."

                s "But do feel free to repeat it after your exams."

                show snape happy

                s "Perhaps I might even react differently."

                show harry laughing

                h "So you are human after all. I'll keep that in mind."

                h "For after my N.E.W.T.s, that is."

                $ persistent.thinking_of_severus = True

##########################################
## guy Harry, interested in Ginny, PTSD advice 
##########################################

            if harry_favorite == "Ginny":

                s "I am fully convinced you can achieve everything you set your mind to, Mister Potter."

                s "You have defeated the Dark Lord, have you not?"

                show harry umm

                h "Yeah? But, some things aren't about the Dark Lord."

                h "Like... sir, may I ask?"

                h "What was it like for you after the war?"

                show snape hair

                s "What exactly do you wish to know?"

                h "Um, I... still see things. In my sleep."

                show snape concerned

                s "You have to be more specific. What kind of things?"

                show harry oh

                h "Nightmares. All sorts."

                h "Things from that year mostly. The battles. The wounded. ...and the dead."

                h "Does it... get easier?"

                show snape neutral

                s "No." 

                s "But one learns to manage."

                s "You mustn't let my experience affect yours, Potter. You're still young."

                s "Nothing is more resilient than youth."

                s "I, for one, am certain of your bright future."

                s "You shall leave Hogwarts with the N.E.W.T.s necessary to succeed."

                s "You will probably marry... Miss Weasley, is it?"

                s "You will start a family together, as any average Hogwarts student tends to do, and thus you shall live happily ever after."

                s "Two decades from now, Hogwarts will have to withstand a young brood of Potters, and I for one am glad I will not be around for that stellar occasion."

                show harry eyeroll

                h "Yeah, well... I don't think that's ever going to happen! This isn't some fairytale, professor."

                show harry umm

                h "I'm just scared, OK? Gin and I are..."

                h "We're not some perfect picture in a magazine. I'm not even sure I deserve her."

                h "I haven't been the best of anything, lately."

                show snape eyebrow

                show harry oh

                h "I don't think I can do this. Any of it. I can't even trust myself."

                h "As it is, I doubt I could sleep next to someone without my magic hurting them accidentally. Or worse."

                h "I'm a walking disaster. And nothing works."

                h "I... I don't keep my wand under my pillow anymore. It's too much of a risk in a crowded dorm."

                h "Just, please, please don't tell Madam Pomfrey, Professor."

                s "Miss Weasley has lived through the same war you have, Mister Potter, has she not?"

                h "I... yeah?"

                show snape concerned

                s "I am no relationship expert, but do you suppose she has the same fears regarding you both as you do?"

                show harry umm

                h "Um, I haven't thought of it this way."

                s "Don't you think you owe it to her to at least share your concerns?"

                h "I... you're right. Uhh. You're definitely right."

                show snape smirk

                s "Of course, I am. Do not repeat my mistakes, Potter. You have a full set of your own to cover."

                show harry neutral

                h "You're right. Thank you, Professor. This actually kind of helps."

                s "It's my job, Mister Potter." 

                show harry happy

                h "It always was, wasn't it?"

                h "It's why I want to see you keep doing what you do. Here at Hogwarts."

                show snape happy

                s "I appreciate the sentiment."

                s "Now, if you don't mind, it's been a long night."

                h "Of course, sir."

                h "..."

                h "Good night."

                s "Good night. Mister Potter."

                $ persistent.fellow_soldiers = True
        
        if harry_appearance == "feminine": 

##########################################
## cis girl Harry - Brewer of One
##########################################

            show harry eyeroll

            show snape sinister

            s "Here's what I believe will happen, Miss Potter."

            s "You will leave Hogwarts with your N.E.W.T.s."

            s "You will find your place in society. Eventually, you will have a job of your dreams with the Ministry's finest dunderheads..."

            s "You will spend your days fleeing from the reporters and forget all about today's senseless fears."

            s "It will be an ordinary, happy life. Or as ordinary as life can be for the great Harry Potter."

            show harry umm

            h "You aren't asking me why a girl wants to be an Auror?"

            h "Even Headmistress McGonagall did. In a way. She said it'd be dangerous. She never told Ron that."

            show snape listening 

            s "Are you concerned about the danger?"

            h "It's worth it. If I can make a difference."

            s "Then why would anything I say on the matter be of significance?"

            h "I suppose you're right."

            h "Though it's not like it matters now anyway, I highly doubt I'll take my N.E.W.T.s in time this year, not with everything happening."

            show snape concerned

            s "Why are you doing this, Potter? Fighting for the position of an unpopular teacher is hardly something that merits sacrificing your future for."

            show harry pout

            h "It's the right thing to do."

            h "I want to be an Auror to fight injustice, first and foremost. Right?"

            h "So what sort of person would I be if I got to the academy by ignoring the injustice right under my nose?"

            show snape listening

            s "A happy one, I'd hope."
    
            s "With a job, eventually with a family. All the happiness in life a young person like you must want one day."

            if harry_favorite != "Ginny":

                h "I... "

                show harry umm

                h "I don't think I'd ever want to start a family."

                h "Is that weird?"

                show snape eyebrow

                s "Not particularly. I didn't start one."

                h "I... Yeah, but it's still strange! I mean, I'm practically supposed to want a big family."

                h "And a house. And a pet. And everything to make up for what Voldemort took from me, don't I?"

                s "A childhood? That is not something easily restored."

                show harry outraged

                h "Argh, you know what I mean! I'm expected to fall in love, take some bloke's name. Look pretty for the papers on my bloody wedding." 

                h "Then have several kids. Give them their grandparents' names and live a perfectly happy life."

                h "But I won't! I can't. I..."

                h "I just... don't see myself as a parent."

                show harry oh

                h "Is that terrible?"

                h "I'd make a terrible parent anyway, to anyone. I had the world's worst examples growing up."

                s "You're underestimating the Weasleys, aren't you?"

                show harry umm
    
                h "Ha! Ron's family is nice and all, but that's just not me."

                s "Large families are... not for everyone, I agree. Especially if you treasure some peace and quiet."            

                h "Gryffindors and peace and quiet? Ha!"
    
                show snape smirk 

                s "Fair enough."

                show harry oh

                h "I'm afraid that... terrified, actually. That in a few years, my life or people in it or the world in general, will change me so I won't care."

                h "Or that I'll fall for someone who wants kids, and I'd give it some thought and say, yeah, what could I have possibly been thinking right now?"

                h "Of course, I'll have to do the right thing, the only thing. And there'd be no choice then but to do what everyone else does."

                show snape eyebrow

                s "And that scares you?"

                h "Yeah. Because... I survived Voldemort, but this? This I won't be able to fight, 'cause that's 'just the way things always have been'."

                h "It's so frightening, that I'd be numb enough to go along with it, and that to believe it's what I wanted all along. Stupid, right?"

                show snape listening

                s "I don't believe it's stupid. I find it puzzling. You were never one for following the rules blindly, Miss Potter. What makes this one so different?"

                show harry outraged

                h "'Cause it is!"

                h "I'm only telling you this 'cause I thought you'd understand. You're the only one I know who's not fond of children."

                show harry pout

                h "Guess it's still different. For a bloke that is."

                h "Ugh. Nevermind."

                show snape eyebrow

                s "Miss Potter. If there's one key difference of yours that I've witnessed, having survived teaching you on many occasions, is that no one can make you do anything against your will."

                s "You're a Gryffindor through and through, after all."

                s "Now, I believe it's time for a lesson."

                s "Please bring me the book from the top shelf to the left of you. The black one. Page 486."

                $ persistent.turn_to_page_four_eighty_six = True

                show harry eyeroll

                h "Fine... I guess. What is it anyway?"

                show harry oh

                h "..."
 
                h "... C-contraceptives?"

                show snape smirk

                s "You should be able to read that part on your own. We'll start with something that requires more attention. An abortifacient. Can you memorise the ingredients for the base?"

                h "I... yeah, I think I've got it."

                s "Good. Let's begin with the first step. The cupboards in the corner should contain anything you need for the first stage of the brewing."

                s "You should do this at least once to memorise the steps in the proper sequence."

                s "I will monitor the procedure."

                h "Um, sir, may I ask, have you ever had the use for this?"

                show snape eyebrow

                s "This is a school full of hormonal nitwits, Miss Potter. Accidents are bound to occur and to be repeated every year."

                s "Now. There's a spell equivalent of this, but it is difficult to aim and master, and thus is bound to have a larger risk for injury."

                s "A male contraceptive, however, is most effective in its spell form... You should know all of the above. As should every one of your classmates."
    
                h "These details... they're not in the book. Where did you learn that?"

                show snape hair

                s "My mother."

                s "Don't sound so surprised, I was not hatched out of a dragon egg. It was part of her midwife training."

                h "Oh."

                show harry umm

                h "May I ask..."

                s "Yes?"

                h "Are these potions... allowed?"

                show snape sinister

                s "Not quite, Miss Potter. The use of this particular one carries a stiff fine and potential imprisonment."

                s "I believe you should learn how to make it, anyway."

                show harry oh

                h "Oh."

                show snape concerned

                s "I've suggested including less controversial remedies as a part of the Hogwarts potions curriculum. Repeatedly. I was refused."

                s "Instead, it has been elected to teach these skills at Hogwarts on an as needed basis. For tradition's sake, if you will."

                h "It hardly sounds fair."

                show snape eyebrow

                s "Indeed, it is not. So you see, accepting things as they are is not always the right path."

                s "I believe, given what you've told me about yourself, you would understand it well."

                show harry shy

                h "I... yeah, I do."

                show snape smirk

                s "Or you may merely consider it your remedial Potions lesson. It's long overdue."

                show harry dork

                h "Ha!"

                s "Now, bring the water to a roiling boil... it's time to add the first ingredient."

                h "Tansy, sliced finely?"

                show snape happy

                s "Yes, Miss Potter. Good."

                s "Now onto the black cohosh."

                show harry happy
    
                h "Count to ten, then stir. Counterclockwise?"

                s "Precisely."


##########################################
## girl Harry (Ginny romance)
##########################################

            if harry_favorite == "Ginny":

                h "I... "

                show harry umm

                h "A family is going to be... complicated."

                show snape concerned 

                s "I'm sure it's nothing the great Harry Potter can't handle."

                s "In fact, I'm certain there are plenty of fawning young fans at your feet."

                s "But you're not after that, are you, Miss Potter?"

                s "Perhaps then, your loyal companion. Ronald Weasley, is it?"

                show harry neutral

                h "Um. Ginny Weasley, actually. And she doesn't fawn."

                h "I should be at her feet if anything. She's amazing."

                s "I can see you think highly of her."

                h "I am."

                show harry eyeroll
  
                h "Is that a problem, Professor?"

                show snape eyebrow

                s "I fail to see what would be so problematic about it, Miss Potter."

                s "Maybe you can enlighten me."

                show harry oh

                h "I... I meant. Oh, nevermind."

                s "I know what you meant, Miss Potter. It might surprise you to know that I am not in the business of questioning a schoolgirl crush any more than I would question my own at that age."

                s "After all, we can't choose who to fall for."

                show harry happy

                s "Oh. I can see what you mean about that, Professor."

                show snape neutral

                s "You've shared something private with me. May I ask why?"

                h "Not sure. It's just... I suppose I was tired of hiding it all the time."

                h "And you seemed like someone with secrets of your own."

                s "In that case, thank you for entrusting me with your secret."

                h "I... you seem like someone who keeps them well."

                show snape happy

                s "It's my job."

                show harry neutral

                h "Well, you're good at it."

                show snape eyebrow

                s "I know. Now, if this is all."

                h "For now. Good night."

                s "Good night, Miss Potter."

                $ persistent.when_ginny_met_harriet = True

##########################################
# Second Plot Point: Harry apologizes to McG. I don't care what happens to me. Just let Snape stay!
##########################################

label morningafter:

    scene bg_fireplace with Fade(3, 0.0, 3, color="#000")

    play sound fire

    show harry oh at center

    play music haunting fadein 3 fadeout 3 

    h "I woke up early the next morning. I just couldn't sleep."

    h "It felt as though the clock was ticking rapidly, measuring out the precious seconds. Not just toward my exams, but to Snape's future. The sound echoed in my mind like thunder."

    h "Who could sleep through that?"

    show hermione neutral at right

    hr "Harry? Are you OK?"

    show harry umm

    h "Hi there. I didn’t expect to see you so early."

    hr "I need to get to the library. But why are you here? You didn't get up so early to study, I know you better than that."

    hr "What's going on?"

    h "Um, I've been talking to people. Yesterday. And I'm afraid I've made some rash decisions that won't just affect me, but put other people at risk too."

    show hermione wow

    hr "Um, what exactly are you saying?"

    h "I think I know how to fix it though. I have to try."

    hr "I'm coming with you."

    h "Thanks. I don't want to get you in trouble though, not so close to your N.E.W.T.s. It's best I go alone."

    show hermione neutral

    hr "Harry..."

    h "Walk with me to the Headmistress' office?"

    show ron neutral at left

    r "Yawn. Did someone say Headmistress' office?"

    show harry happy

    h "Yeah, come on!"

    show ron wow

label headmistressofficeresolution:

    scene bg_office with Fade(3, 0.0, 3, color="#000")

    show harry oh at left

    play music swords fadein 3 fadeout 3 

    show mcgonagall neutral at right

# Resolution: 'Headmistress, Snape's a great teacher, let me tell you why' speech: I have a secret... and he helped me with it.[Choice to come out and talk openly about issues to McG vs omit the convo will largely drive if Snape stays as professor]

    h "Headmistress McGonagall, I need your help."

    h "This is important. I have to talk to you."

    m "Harry. Good morning."

    m "Have you come to apologise?"

    h "I'm..."

    h "Yes, I have. I'm sorry I've spoken out without thinking yesterday."

    h "It wasn't fair to you, nor was it fair to Hogwarts."

    h "Hogwarts is my home and I want to protect it as much as you do."

    m "I'm glad you see sense. Now -"

    h "This is why you have to keep Snape at Hogwarts and in order to do that, you have to help me erase his Mark."

    m "What?"

    h "It's dormant, so it's possible. Just takes a lot of magical power. And you're a powerful witch. You have to do this."

    h "We have to do this. Think of it. It's the only way for Snape to stay at Hogwarts and follow the law."

    h "If he doesn't have the Mark, well, then, he won't be at risk."

    m "Harry, Severus Snape is an acquaintance, but he is also a troubled man."

    m "With the weight of public opinion against him, he doesn't stand a chance."

    m "It is tragic, but then again, things could be much worse for him."

    m "There's little you can say to convince me to help a hopeless cause."

    m "And I daresay, with his reputation, there won't be many in the wizarding world who will ever trust him."

    menu:

        "I believe in him, and you should too."

        "Snape is an honourable man. I trust him with my life.":

            $ mcgonagall_approval += 2

        "Dumbledore did. And so do I.":

            $ mcgonagall_approval += 1

        "Then they're fools. It's bloody unfair, that's what it is.":

            $ teacher_disapproval += 1

            $ mcgonagall_approval += 0

    m "What makes you say that?"

    h "You know better than anyone that he's not my favourite teacher."

    h "But something happened yesterday, to make me see just what kind of person he is."

    h "A good one."

    h "I would trust him to keep my deepest secret. I did, actually."

    m "Help me understand. A secret? What are you talking about, Harry?"

    menu: 

        "I... it's hard to explain."

        "I'm... um... Here's the thing.":

            $ mcgonagall_approval += 1
##########################################
# M2F Harry
##########################################
            if harry_wants_transition == True:

                if harry_appearance == "masculine":

                    h "One night, I was in the common room, and no one was around and..."

                    menu:

                        "I did something I’ve wanted to for a long while..." 
                   
                        "I took a step up the staircase into the girls' dormitory.":

                            $ mcgonagall_approval += 1

                            h "I took one step up the staircase into the girls' dormitory."

                            h "And then I took the other."

                            menu:

                                "It was..."

                                "It was the bravest and the most terrifying thing I've ever done.":

                                    $ mcgonagall_approval += 1

                                    m "Why, Harry?"

                                    h "Because..."

                                    menu:

                                        "I stood there for the longest time, you know. And I wasn't brave enough to go any further."

                                        "Headmistress McGonagall, I'm...":
                                        
                                            $ mcgonagall_approval += 1

                                            m "What is it, Harry?"

                                            menu: 

                                                "I was so terrified to take a third step..."

                                                "There were butterflies in my stomach.":

                                                    $ mcgonagall_approval += 1

                                                    h "I..."

                                                    h "I didn't know if the staircase would flatten under my feet and make me fall. But it didn't."

                                                    h "Does it mean it accepts me as I am? That the castle knows and accepts me?"

                                                    h "Professor Snape knows. He listened to me yesterday. And he guessed it."

                                                    h "Called me Miss Potter. And then he listened, and it almost made me cry."

                                                    h "All the things I’ve been missing out on. Every bloody day. But he was there to listen."

                                                    h "And he understood. Even though he had his own problems to deal with, he helped me with mine."

                                                    h "Don't you see, this is what a Hogwarts Professor should be doing."

                                                    h "He may not be perfect, but he's learned from his mistakes. That's all anyone can ask for."

                                                    m "I... Thank you for sharing, M-miss Potter."

                                                    m "You've given me a lot to think about."

                                                    m "I promise you, I shall consider your proposition carefully."

                                                "I was... I'm still scared. This isn't the right time.":

                                                    "I... don't have anything else to say about this. Not right now. I'm sorry, Professor."

                                        "But this isn't about that!":

                                            h "It's not about that!"

                                "It was... I, OK, this is not working. We have to talk about Snape.":

                                    h "This is all wrong! We need to talk about Snape. There isn't much time."

                        "... um, nevermind.":

                            h "I... it doesn't matter, really."

                    m "Help me understand. A secret? What are you talking about, Harry?"
##########################################
# F2M Harry
##########################################

                if harry_appearance == "feminine":

                    h "One night, no one was around and I put on my Quidditch gear and went flying..."

                    menu:

                        "It was something I’ve wanted to do for a long while..." 
                   
                        "You see, Quidditch gear doesn't have these awful skirts.":

                            $ mcgonagall_approval += 1

                            h "And it's easier when you've only got the broom to worry about."

                            h "But that's not the point."

                            menu:

                                "Flying is..."

                                "The most freeing and also the saddest thing I've ever done. Cause I always have to land afterwards.":

                                    $ mcgonagall_approval += 1

                                    m "Why do you think that, Harry?"

                                    h "Because..."

                                    menu:

                                        "Sometimes in the sky, I charm my hair short to barely nothing, so it slips through my fingers when I brush it back."

                                        "Headmistress McGonagall, I'm...":
                                        
                                            $ mcgonagall_approval += 1

                                            m "What is it, Harry?"

                                            menu: 

                                                "Ron doesn't mind, he never even commented on it...":

                                                    $ mcgonagall_approval += 1

                                                    h "I..."

                                                    h "Ron flies with me and it makes me happy. He's the best friend one can have."

                                                    h "It feels like having a brother... but in the sky, I feel as if we're both brothers."

                                                    h "It's a wonderful feeling, not just having a brother, but being one."

                                                    h "He's my mate and we both keep silent and just watch the sky. And we're free."

                                                    h "And that's all anyone needs sometimes."

                                                    h "I talked to Snape about it last night. And he listened. And then he did something I'll never forget."
                                                    h "He called me Mister Potter."

                                                    h "He understood. Even though he had his own problems to deal with, he helped me with mine."

                                                    h "Don't you see, this is what a Hogwarts Professor should be doing."

                                                    h "He may not be perfect, but he's learned from his mistakes. That's all anyone can ask for."

                                                    m "I... Thank you for sharing, M..mister Potter."

                                                    m "You've given me a lot to think about."

                                                    m "I promise you, I shall consider your proposition carefully."

                                                "I was... I'm still scared. This isn't the right time.":

                                                    "I... don't have anything else to say about this. Not right now. I'm sorry, Professor."

                                        "But this isn't about that!":

                                            h "It's not about that!"

                                "It was... I, OK, this is not working. We have to talk about Snape.":

                                    h "This is all wrong! We need to talk about Snape. There isn't much time."

                        "... um, nevermind.":

                            h "I... it doesn't matter, really."

            if harry_wants_transition == False:

##########################################
# Cis Girl Harry interested in Snape
##########################################

                if harry_appearance == "feminine":

                    if harry_favorite != "Ginny":

                        h "Everyone expects me to have a family..."

                        menu:

                            "I'll take some bloke's name, have children, be happy..." 
                   
                            "They're wrong, you know.":

                                $ mcgonagall_approval += 1

                                h "I don't want any of that."
    
                                h "But that's not the point."
    
                                menu:

                                    "You seem like someone who might understand, actually..."

                                    "I'm scared of giving in, of doing what the world expects of me, one day. And that's terrifying.":

                                        $ mcgonagall_approval += 1

                                        m "Why do you think that, Harry?"

                                        h "Because..."

                                        menu:

                                            "Headmistress McGonagall, I'm... not who people think I am." 
    
                                            "Hermione is the most liberal-minded witch I know, but even she wouldn't mind taking Ron's name, raising children with him one day. And I'm...":
                                            
                                                $ mcgonagall_approval += 1

                                                m "What is it, Harry?"

                                                menu: 

                                                    "I... I don't think I'm like her."

                                                    "I don't think I'll ever be like her.":

                                                        $ mcgonagall_approval += 1

                                                        h "I..."

                                                        h "I am terrified of having to do what other people want for me."

                                                        h "And I know they mean well, but it's not what I need."

                                                        h "I am not cut out to be a mother. I want to be an Auror instead. Is that bad?"

                                                        h "Everyone asks if I thought about the danger, what with future family and everything. I don't think I'll ever be ready to have children, even if I'm forty. And I shouldn't have to worry about being forced into something I don't want to be."

                                                        h "It sounds so simple when I say it, doesn't it?"

                                                        h "I talked to Snape about it last night. And he listened. And then he did something I'll never forget."
                                                        h "He understood. He really did. Maybe it's 'cause he isn't a parent either. Or maybe cause he's good at listening."
    
                                                        h "Even though he had his own problems to deal with, he helped me with mine."

                                                        h "Don't you see, this is what a Hogwarts Professor should be doing."

                                                        h "He may not be perfect, but he's learned from his mistakes. That's all anyone can ask for."

                                                        m "I... Thank you for sharing, Miss Potter."

                                                        m "You've given me a lot to think about."

                                                        m "I promise you, I shall consider your proposition carefully."

                                                    "I'm still scared. This isn't the right time.":

                                                        "I... don't have anything else to say about this. Not right now. I'm sorry, Professor."

                                            "But this isn't about that!":

                                                h "It's not about that!"

                                    "It was... I, OK, this is not working. We have to talk about Snape.":

                                        h "This is all wrong! We need to talk about Snape. There isn't much time."

                            "... um, nevermind.":

                                h "I... it doesn't matter, really."

##########################################
# lesbian Harry
##########################################

                    if harry_favorite == "Ginny":

                        h "Everyone expects me to marry some bloke, have children, be happy..."

                        menu:
                   
                            "They're wrong, you know.":

                                $ mcgonagall_approval += 1

                                h "I couldn't care less about any bloke."
    
                                h "But that's not the point."
    
                                menu:

                                    "I don't want the world to know me by what the Daily Prophet usually writes.":

                                        $ mcgonagall_approval += 1

                                        m "Why do you think they will, Harry?"

                                        h "Because..."

                                        menu:

                                            h "I'm... not who people want me to be. I'm just me." 
    
                                            "People never see me for who I am.":
                                            
                                                $ mcgonagall_approval += 1

                                                m "Why not?"

                                                menu: 

                                                    "I... really like someone. She's a wonderful human being.":

                                                        $ mcgonagall_approval += 1

                                                        h "And I'm scared."

                                                        h "Ginny's not just a fling or a crush. Or a friend."

                                                        h "She's amazing. She's got this smile that lights up the room."

                                                        h "And a laugh that makes me laugh too, no matter how sad I am."

                                                        h "Everyone thinks the school year's ending so lots of things will too."

                                                        h "Like friendships. Or school crushes."

                                                        h "I don't want it to end. Ever."

                                                        h "And I'm tired of people not knowing how I feel about her. So I told Snape. And he didn't judge or question. He was just there. And he listened."
    
                                                        h "Even though he had his own problems to deal with, he listened to me. And he helped."

                                                        h "Don't you see, this is what a Hogwarts Professor should be doing."

                                                        h "He may not be perfect, but he's learned from his mistakes. That's all anyone can ask for."

                                                        m "I... Thank you for sharing, Miss Potter."

                                                        m "You've given me a lot to think about."

                                                        m "I promise you, I shall consider your proposition carefully."

                                                    "I'm still scared. This isn't the right time.":

                                                        "I... don't have anything else to say about this. Not right now. I'm sorry, Professor."

                                            "But this isn't about that!":

                                                h "It's not about that!"

                                    "OK, this is not working. We have to talk about Snape.":

                                        h "This is all wrong! We need to talk about Snape. There isn't much time."

                            "... um, nevermind.":

                                h "I... it doesn't matter, really."

##########################################
# PTSD Harry
##########################################

                if harry_appearance == "masculine":

                    if harry_favorite == "Ginny":

                        h "Everyone expects me to marry Ginny, have children, be happy..."

                        menu:
                   
                            "It's not some fairytale! I don't know if I'll be able to do any of it.":

                                $ mcgonagall_approval += 1

                                h "I couldn't care less about what others think of us."
    
                                h "But that's not the point."
    
                                menu:

                                    "I'm scared that Ginny expects this other version of me. The one in the papers.":

                                        $ mcgonagall_approval += 1

                                        m "Why do you think she will, Harry?"

                                        h "Because..."

                                        menu:

                                            h "I'm... not who people want me to be. I'm... more broken than I let on." 
    
                                            "People never see me for who I am.":
                                            
                                                $ mcgonagall_approval += 1

                                                m "Why, Harry?"

                                                menu: 

                                                    "I have nightmares. A lot. Sometimes they aren't nightmares.":

                                                        $ mcgonagall_approval += 1

                                                        h "Sometimes I'm awake and they still come."

                                                        h "And I'm in the corner and terrified and it'll take one misplaced hex, just one."

                                                        h "I'm terrified I'll harm something. Someone."

                                                        h "Someone closest to me."

                                                        h "And I'm scared one day it'd be Ginny."

                                                        h "She doesn't deserve that."

                                                        h "She deserves so much better than that."

                                                        h "And I'm tired of people thinking we're a perfect couple. We're far from it."
    
                                                        h "I said that to Snape. And even though he had his own problems to deal with, he listened to me. And he helped."

                                                        h "Don't you see, this is what a Hogwarts Professor should be doing."

                                                        h "He may not be perfect, but he's learned from his mistakes. That's all anyone can ask for."

                                                        m "I... Thank you for sharing, Mister Potter."

                                                        m "You've given me a lot to think about."

                                                        m "I promise you, I shall consider your proposition carefully."

                                                    "I'm still scared. This isn't the right time.":

                                                        "I... don't have anything else to say about this. Not right now. I'm sorry, Professor."

                                            "But this isn't about that!":

                                                h "It's not about that!"

                                    "OK, this is not working. We have to talk about Snape.":

                                        h "This is all wrong! We need to talk about Snape. There isn't much time."

                            "... um, nevermind.":

                                h "I... it doesn't matter, really."


##########################################
# Gay Harry
##########################################

                    if harry_favorite != "Ginny":

                        h "Everyone expects me to marry some girl, have children, be happy..."

                        menu:
                   
                            "They're wrong, you know.":

                                $ mcgonagall_approval += 1

                                h "I couldn't care less about any of it."
    
                                h "But that's not the point."
    
                                menu:

                                    "I don't want the world to know me by what the Daily Prophet usually writes.":

                                        $ mcgonagall_approval += 1

                                        m "Why do you think they will, Harry?"

                                        h "Because..."

                                        menu:

                                            h "I'm... not who people want me to be. I'm just me." 
    
                                            "People wouldn't understand if I told them.":
                                            
                                                $ mcgonagall_approval += 1

                                                m "Why not?"

                                                menu: 

                                                    "I am not into girls. At all.":

                                                        $ mcgonagall_approval += 1

                                                        h "And I'm scared."

                                                        h "I'm not supposed to be like this."

                                                        h "Whoever heard of a hero that's... well, like that."

                                                        h "But I do exist! And that's not something I can change."

                                                        h "Everyone thinks I'm the great Harry Potter."

                                                        h "But I'm not. I'm..."

                                                        h "I am queer, Headmistress."

                                                        h "There, now you know. I told Snape. And he didn't judge or question. He was just there. And he listened."
    
                                                        h "Even though he had his own problems to deal with, he listened to me. And that helped."

                                                        h "Don't you see, this is what a Hogwarts Professor should be doing."

                                                        h "He may not be perfect, but he's learned from his mistakes. That's all anyone can ask for."

                                                        m "I... Thank you for sharing, Mister Potter."

                                                        m "You've given me a lot to think about."

                                                        m "I promise you, I shall consider your proposition carefully."

                                                    "I'm still scared. This isn't the right time.":

                                                        "I... don't have anything else to say about this. Not right now. I'm sorry, Professor."

                                            "But this isn't about that!":

                                                h "It's not about that!"

                                    "OK, this is not working. We have to talk about Snape.":

                                        h "This is all wrong! We need to talk about Snape. There isn't much time."

                            "... um, nevermind.":

                                h "I... it doesn't matter, really."


        "I don't know if I can talk about it. Not yet. Please, can't you see?":

            $ mcgonagall_approval += 1

        "This is personal. I don't have to tell you anything! Let's just focus on Snape.":

            $ mcgonagall_approval += 0

    m "All right, then. Unfortunately, I have to cut this conversation short."
    
    m "Now if this is all, I have some school business to attend to."

    m "Don't fret, Harry, it will all work out. One way or the other."

    h "Um. Thank you, Headmistress."

label conclusioncorridor:

    scene bg_corridor with Fade(3, 0.0, 3, color="#000")

    play music magic fadein 1 fadeout 1

    show harry umm at center

    show ron wow at left

    show hermione wow at right

    r "What happened?!" with vpunch

    hr "How did it go?"

    show harry oh 

    h "Dunno, OK, I guess."

    r "Are you in trouble?"

    hr "Can you still take your N.E.W.T.s?"

    show harry umm

    h "Yeah. Can't escape the exams. (I wish!)"

    show hermione neutral

    hr "And Snape?"

    show ron neutral

    r "What about the greasy git, Hermione?"

    h "Um, I've got something to tell you both, actually."

    h "It's kind of related to Snape."

    h "I talked to him about it recently, and he listened."

    show ron wow

    r "What is it?"

    show hermione wow

    hr "You know we'll always listen, Harry, don't you?"

    show harry oh

    h "It's kind of difficult to talk about..."

    h "Well, it goes like this."

    h "Have you ever felt like you had a secret you couldn't share?"

    h "With anyone at all, not even your best friends?"

    h "..."

##########################################
# Final potions lesson
##########################################

label snapepotions:

    scene bg_classroom with Fade(3, 0.0, 3, color="#000")

    play music shrine fadein 1 fadeout 1

    show snape sinister at left

    s "I expect twelve inches on Wiggenweld Potion and its variants by Monday."

    s "Now those of you..."

    s "... who had the misfortune of not completing their work in time, ..."

    s "... which includes nine-tenths of this class, shall submit an additional twelve inches on Wit-Sharpening Potion and its shortcomings."

    s "Class dismissed."

    show harry umm at right

    h "Wow, he's in full form today."

    h "Headmistress McGonagall never did tell me one way or the other if Snape would stay."
   
    h "I was so worried."

    "Knock knock" with vpunch

    show snape concerned

    show harry oh

    hide harry

    show mcgonagall neutral at right

    m "A word, Professor Snape."

    show snape eyebrow 

    s "Certainly, Headmistress."

    hide snape

    hide mcgonagall

    show harry oh at right

    h "I wonder what this is all about. Hopefully good news."

    h "I guess we'll find out, one way or another."

    if teacher_disapproval > 2: 

        $ persistent.we_dont_need_no_education = True


##########################################
## Conclusion
##########################################

label conclusion:

    scene bg_fireplace with Fade(3, 0.0, 3, color="#000")

    play music spaces fadein 1 fadeout 1

    play sound fire

    show harry neutral at left

    h "I was wrong, actually."

    h "I didn't find out right away."

    h "I didn't find out anything at all."

    h "In fact, I haven't had a chance to talk to Snape since that day."

    h "We did connect later though."

    show harry umm

    h "Well after I completed my N.E.W.T.s."

    h "Summer was more than half over by then. My nineteenth birthday came and went."

    show harry dork

    h "I got a letter from him. It really surprised me."

    h "In a good way that is."

    if mcgonagall_approval < 7:

        $ persistent.potions_brewer = True

        h "The owl that brought it was unfamiliar. Grey and grumpy."

        h "I can't believe Snape has an owl now. Wonder what he called it?"

        h "The envelope was marked plainly: S. Snape, potions brewer, and sealed with black wax."

    if mcgonagall_approval >= 7:

        $ persistent.potions_master = True
        
        h "The owl who carried the letter was from Hogwarts. I could tell from the tag on its leg with the tiny Hogwarts crest on it."

        h "So whatever I said to the Headmistress worked, and he was allowed to stay."

        h "Only he was spending his summer at the castle, poor sod! Wonder if it was all his idea."

        show harry happy

        h "Didn't matter really, what mattered is, justice prevailed in the end. Even for Snape."

        h "I couldn't have hoped for a better ending."

    jump gift

label gift:

    scene bg_sky with Fade(3, 0.0, 3, color="#000")

    if harry_wants_transition == True:

        s "Dear Harry Potter:"

        s "Below are the instructions for brewing a particular, long-acting variant of Polyjuice Potion."

        s "With the specific modifications I developed, its long-term use is safe and free of side effects."

        s "Just as with Polyjuice, it requires a strand of your hair. The rest of the ingredients are relatively common and should not be too expensive or difficult to procure."

        s "The first dose is also attached. It is preserved for such time if, or when, you should wish to give it a try."

        s "Any fool can be reckless, but it takes true courage to do what you did."

        s "Revealing one's true self to the world is never easy, but I am fully convinced you are up to any challenge life may throw at you."

        if harry_appearance == "feminine": 
            s "You are, after all, a remarkable young man capable of great things, with your entire life ahead of you."

        if harry_appearance == "masculine":
            s "You are, after all, a remarkable young woman capable of great things, with your entire life ahead of you."

    if harry_wants_transition == False:

        if harry_appearance == "feminine":

            if harry_favorite == "Ginny":

                s "Dear Harry Potter:"

                s "The perfume formula below was a favourite of your mother's. I believe I've reproduced the recipe to the best of my ability."

                s "All the ingredients are relatively common and should not be too expensive or difficult to procure if, or when, you should wish to give it a try."

                s "Perhaps Miss Weasley would enjoy it as a gift?"

                s "Any fool can be reckless, but it takes true courage to take a stand like you did."

                s "Revealing one's true love to the world is never easy, but I am fully convinced you are up to any challenge life may throw at you."

                if harry_appearance == "feminine":
                    s "You are, after all, a remarkable young woman capable of great things, with your entire life ahead of you."

                if harry_appearance == "masculine":
                    s "You are, after all, a remarkable young man capable of great things, with your entire life ahead of you."

            if harry_favorite != "Ginny":

                s "Dear Harry Potter:"

                s "Below are the instructions for brewing a standard contraceptive as well as a recipe for two common abortifacients."

                s "The specific modifications I developed make the potions safe and free of side effects."

                s "They are unfortunately not a part of the school curriculum, but I always thought they ought to be. Perhaps you may be able to change minds on the matter."

                s "All the ingredients are relatively common and should not be too expensive or difficult to procure if, or when, you should wish to give it a try."

                s "Any fool can be reckless it takes true courage to take a stand like you did."

                s "I am fully convinced you are up to any challenge life may throw at you."

                s "You are, after all, a remarkable young woman capable of great things, with your entire life ahead of you."

                if snape_approval > 5: 

                    s "Best of luck with your future endeavours. I look forward to hearing great things about the Woman Who Lived."

        if harry_appearance == "masculine":

                s "Dear Harry Potter:"

                s "Below are the instructions for brewing a stronger Dreamless Sleep potion than you would find in your Hogwarts textbooks."

                s "The long-term use, as determined by my own research of many years, is neither addictive nor harmful."

                s "All the ingredients are relatively common and should not be too expensive or difficult to procure..."

                s "... if, or when, you should wish to give it a try. Everyone needs one at some point."

                s "Revealing one's true self to the world is never easy, but you took a chance despite it being so. For that, you have my admiration."

                s "Any fool can be reckless, but it takes true courage to take a stand like you did."

                s "I am fully convinced you are up to any challenge life may throw at you."

                s "You are, after all, a remarkable young man capable of great things, with your entire life ahead of you."

                if harry_favorite == "Ginny":

                    s "If you find yourself with a new penchant for brewing, perhaps..."

                    s "The attached perfume formula was a favourite of your mother's. I believe I've reproduced the recipe to the best of my ability."

                    s "Perhaps Miss Weasley would enjoy it as a gift?"

                if snape_approval > 5: 

                    s "I hope you will keep me updated on your future endeavours. I look forward to hearing great things about the Man Who Lived."

    if mcgonagall_approval >= 7:

        s "Headmistress McGonagall has approached me with an unusual proposal regarding… second chances."

        s "I believe this is your doing. If so, you have my sincere thanks."

    s "With best wishes,"

    s "Severus Snape."

    jump future

##########################################
## Ending
##########################################

label future:

    scene bg_sky with Dissolve(3)
    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show harriet_neutral at left
        if harry_appearance == "feminine":
            show harry_neutral at left

    if harry_wants_transition == False:
        show harry neutral at left
    
    h "I still think of that summer often."

    h "And of him, of course."

    if snape_approval > 4:

        h "Time flies. I can't believe it's been a year since I left Hogwarts. And so did he."

        h "We haven't stopped corresponding."

        h "In fact, he agreed to see me tomorrow."

        if harry_favorite == "Ginny":

            h "I think I will consider it a thank you dinner, for everything."

        if harry_favorite != "Ginny":

            h "I think I will consider it a date. Am I too forward with this? Maybe not."

            h "It's going to be amazing to see him."

            if harry_favorite == "treacle":

                h "Wouldn't trade this opportunity even for all the treacle tart in the world!"

            if harry_favorite == "flying":

                h "Wouldn't trade this opportunity even for all the open skies in the world!"

        if harry_wants_transition == True:
            if harry_appearance == "masculine":
                show harriet_happy at left
            if harry_appearance == "feminine":
                show harry_happy at left

        if harry_wants_transition == False:
             show harry happy at left

        h "It's going to be brilliant!"

        h "Of course it will be. It's going to be with him."

        if harry_favorite != "Ginny": 
            jump extras

    if snape_approval <= 4:

        $ persistent.stranger = True

        h "Time flies. I can't believe it's been a year since I left Hogwarts. And so did he."

        h "I haven't heard from him."

        h "But still, I think of him fondly."
        
        if harry_favorite == "Ginny":

            h "That alone is a small miracle, right? What can I say? That greasy git grows on you."
        
        h "I hope that wherever he is now, he has found contentment."

        h "In the meantime, I wish him well."

        h "Maybe, someday, I'll get a chance to tell him that in person."

        h "Until then, I'll do my best to be brave."

        h "That's all anyone can do."

    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show harriet_laughing at left
        if harry_appearance == "feminine":
            show harry_laughing at left

    if harry_wants_transition == False:
        show harry laughing at left

        h "Right? Right."

    if harry_favorite == "Ginny":

        jump extras_ginny

    jump end

##########################################
## Extra - Date with Ginny
##########################################

label extras_ginny: 

    scene bg_sky with Dissolve(3)
    
    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show harriet_shy at right
        if harry_appearance == "feminine":
            show harry_shy at right

    if harry_wants_transition == False:
        show harry shy at right

    h "Hi there."

    show ginny_neutral at left

    gin "Great weather for flying, huh, Harry?"

    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show harriet_happy at right
        if harry_appearance == "feminine":
            show harry_happy at right

    if harry_wants_transition == False:
        show harry happy at right

    h "Yeah! Race to the Burrow and back?"

    gin "Oh, it's a deal! So, ready to lose again?"

    h "Again? Hey, wait a second!"

    gin "Do I have to? Keep up, slowpoke."

    h "Oh, it's on!"

    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show harriet_umm at right
        if harry_appearance == "feminine":
            show harry_umm at right

    if harry_wants_transition == False:
        show harry umm at right

    h "I won that race, actually."

    h "I don't think Ginny minded at all, though."

    h "After all, life's like that."

    h "Even a faceful of dust is fun, if you're sharing it with someone you love."

    h "I'm odd that way."

    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show harriet_neutral at right
        if harry_appearance == "feminine":
            show harry_neutral at right

    if harry_wants_transition == False:
        show harry neutral at right

    h "But she says she likes it."

    h "But that's all Ginny for you."

    h "And I… I like it too."

    h "Us, together, that is."

    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show harriet_happy at right
        if harry_appearance == "feminine":
            show harry_happy at right

    if harry_wants_transition == False:
        show harry happy at right

    h "I like it a lot."

    jump end


##########################################
## Extra - Date with Snape
##########################################

label extras: 

    scene bg_date with Fade(3, 0.0, 3, color="#000")

    play sound fire

    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show harriet_shy at right
        if harry_appearance == "feminine":
            show harry_shy at right

    if harry_wants_transition == False:
        show harry shy at right

    h "Er, hi."

    show snape hair at left
    
    s "Potter."

    h "I wish you'd call me Harry."

    h "Please?"

    show snape smirk
    
    s "Oh, very well then, …Harry."

    hide harry

    hide snape

    hide window

    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show bg_date-harriet with Fade(3, 0.0, 3, color="#000")
            show bg_date-harriet with Dissolve(7)

        if harry_appearance == "feminine":
            show bg_date-harry with Fade(3, 0.0, 3, color="#000")
            show bg_date-harry with Dissolve(7)

    if harry_wants_transition == False:
        if harry_appearance == "masculine":
            show bg_date-harry with Fade(3, 0.0, 3, color="#000")
            show bg_date-harry with Dissolve(7)

        if harry_appearance == "feminine":
            show bg_date-harriet with Fade(3, 0.0, 3, color="#000")
            show bg_date-harriet with Dissolve(7)
 
    h "I remember the conversation we had that evening."

    h "And most of all, that smile of his."

    h "Unforgettable."

    h "He actually smiled, can you believe it?"

    h "It was a happy moment..."

    h "Very happy. For both of us, I hope."

    s "Wait..." 

    s "Stay?"

    h "Oh?"

    h "OK. I'll stay."

    h "And I did stay."

    h "Sort of. Stayed the night, then stayed over. Then… I guess you could say I never left."

    h "I'm persistent that way."

    h "But he says he likes it."

    h "Stubborn sod."

    h "And I… I like it too. A lot."

    h "Us, that is."

    h "Together."

    window hide

    if harry_wants_transition == True:
        if harry_appearance == "masculine":
            show bg_date-books-harriet with Fade(1, 0.0, 3, color="#000")
            show bg_date-books-harriet with Dissolve(7)

        if harry_appearance == "feminine":
            show bg_date-books-harry with Fade(1, 0.0, 3, color="#000")
            show bg_date-books-harry with Dissolve(7)

    if harry_wants_transition == False:
        if harry_appearance == "masculine":
            show bg_date-books-harry with Fade(1, 0.0, 3, color="#000")
            show bg_date-books-harry with Dissolve(7)

        if harry_appearance == "feminine":
            show bg_date-books-harriet with Fade(1, 0.0, 3, color="#000")
            show bg_date-books-harriet with Dissolve(7)

    $ persistent.legilimens_and_chill = True



    

label end: 

    scene bg_date with Fade(15, 0.0, 3, color="#000")

    window show

    if snape_approval > 4:

        "The green eyes found the black…"

        "And then they lived happily."

    if snape_approval <= 4:

        "Seasons came and went by. Harry did not regret the choices made."

        "The future could only get better."

    "All was well."

    "The End."
    window hide
    call screen achievements





##########################################
## Achievements menu
##########################################
# Badges
##########################################
#
#- Nose of a Gargoyle - saw Snape in the mirror of Erised
#
#- Hello, Hedwig - saw Hedwig's feathers in the mirror of Erised
#
#- Turn to Page 486 - Harriet brewed a potion under Snape's instruction
#
#- Two Steps Up - took two steps up the staircase up to the girls' dormitory
#
#- Free to Fly - reminisced about the freedom to fly, among other freedoms
#
#- When Ginny met Harriet - completed relevant storyline while interested in Ginny
#
#- Thinking of Severus - completed relevant storyline while interested in Severus
#
#- Sweet Tooth - really liked the treacle tart
#
#- We Don't Need No Education - gave the worst possible answers to the teachers all the way throughout the game
#
#- Fellow Soldiers - sought help from Snape while haunted by wartime memories
#
#- Harriet - mentioned 'Harriet' in the conversation with Snape 
#
#- Harold - mentioned 'Harold' in the conversation with Snape
#
#- The Potions Master - Snape kept his job
#
#- The Potions Brewer - Snape had to find a new profession
#
#- The Stranger - Harry never saw Snape again
#
#- Legilimens and Chill - spent an evening with Snape at the end of the game
# 
#- 100 Percent - completed all possible achievements
##########################################


